import QtQuick 1.0
import "../util/constant.js" as Constant
import com.nokia.meego 1.0

Item {
    property string platform: "meego"
    property bool isPortrait: true

    property int screenWidth: 480
    property int screenHeight: 854

    property int pageOrientationPortrait: PageOrientation.LockPortrait
    property int pageOrientationLandscape: PageOrientation.LockLandscape

    property int cameraXOffset: 187
    property int cameraYOffset: -187

    property int cameraViewfinderWidth: 640
    property int cameraViewfinderHeight: 480

    // UploadQueueComponent
    property int uploadQueueComponentAreaX: 153

    // ShareItem
    property int logInY: 13
    property int shareItemHeight: 107
    property int shareItemFontSize: 27

    // PhotoContex dialog
    property int photoContexDialogBtnHeight: 71

    // ChooseStorage Component
    property int chooseStorageHeight: 80

    // ChooseIntervalList Component
    property int chooseIntervalListComponentHeight: 80
    property int chooseIntervalListComponentFontSize: 29

    // Badge Component
    property int badgeComponentWidthHeight: 64

    // NotificationTab Button
    property int notificationImageX: 8
    property int notificationImageY: 12
    property int notificationTextX: 48
    property int notificationTextWidth: 44
    property int notificationFontSize: 27

    // Comment Component
    property int commentComponemtUserProfileWidthHieght: 53
    property int commentComponentMediumFontSize: 21
    property int commentComponentSmallFontSize: 16

    // PhotoView Screen
    property int photoViewScreenPhotoWidthHeight: 453
    property int photoViewScreenPhotoCaptionX: 13
    property int photoViewScreenPhotoCaptionY: 7
    property int photoViewScreenPhotoCaptionWidth: 360
    property int photoViewScreenFontSize: 24
    property int photoViewScreenSettingX: 387

    // LoveComment Button
    property int loveCommnetBtnLoveBoxX: 75
    property int loveCommentBtnBigFontSize: 25
    property int loveCommnetBtnCommentBoxX: 57
    property int loveCommentBtnSmallFontSize: 21
    property int loveCommentBtnMediumFontSize: 24
    property int valueLoveCommentX: 168
    property int valueLoveCommentY: 15
    property int valueLoveCommentWidth: 49
    property int valueLoveCommentHeight: 33

    // ProfileView Header Bar
    property int profileViewHeaderBarImageProfileWifthHeight: 133
    property int profileViewHeaderBarFontSize: 21

    // FriendList Component
    property int friendListScreenHeight: 93
    property int friendListScreenImageProfileWidthHeight: 80
    property int friendListScreenImageProfileX: 8
    property int friendListScreenImageProfileY: 8
    property int friendListScreenPhotoSummaryBtnX: 119
    property int friendListScreenFollowerSummaryBtnX: 236
    property int friendListScreenFollowingSummaryBtnX: 353
    property int friendListScreenSummaryBtnY: 63
    property int userNameFriendListScreenX: 100
    property int userNameFriendListScreenY: 15
    property int followBtnFriendListScreenX: 336
    property int followBtnFriendListScreenY: 11
    property int friendListScreenFontSize: 24
    property int profileSummaryY: 53

    // SettingItem Data
    property int settingItemDataHeight: 107
    property int settingItemDataHeightX: 27
    property int settingItemDataFontSize: 29

    // Twitter Screen
    property int followBoxHeight: 80
    property int followCheckBoxWidthHeight: 67
    property int followCheckBoxY: 27

    // SocialNetwork Item
    property int socialNetWorkItemHeight: 107

    // ProfileSetting Screen
    property int publicUrlX: 67
    property int bigProfileSettingFontSize: 29
    property int mediumProfileSetiingFontSize: 24
    property int smallProfileSettingFontSize: 19

    // Setting Caption And Setting Item
    property int settingCaptionHeight: 44
    property int settingItemHeight: 107
    property int settingCaptionAndSettingItemFontSize: 29
    property int textSettingCaptionX: 13
    property int lineSettingCaptionY: 19
    property int textSettingItemX: 27
    property int imageSettingItemY: 16

    // GroupLabel
    property int groupLabelFontSize: 24

    // ProfileFollow Component
    property int profileFollowComponentHeight: 53

    // Summary Btn
    property int numOfSummaryY: 4
    property int typeOfSummaryY: 23

    // ProfileDetail Component
    property int profileDetailComponentHeight: 107
    property int imageProfileDetailComponentX: 13
    property int imageProfileDetailComponentY: 12
    property int imageProfileDetailComponentWidthHeight: 93
    property int profileDetailComponentPhotoSummaryBtnX: 116
    property int profileDetailComponentFollowerSummaryBtnX: 233
    property int profileDetailComponentFollowingSummaryBtnX: 350
    property int profileDetailComponentSummaryBtnY: 57
    property int profileDetailUsernameX: 120
    property int profileDetailUsernameY: 9
    property int profileDetailSettingX: 400
    property int profileDetailUsernameFontSize: 29

    // Notification Component
    property int notificationComponentHeight: 93
    property int notificationPhotoWidthHeight: 80
    property int notificationPhotoRightWidthHeight: 67
    property int notificationTextAreaHeight: 33
    property int notificationTextUpperFontSize: 19
    property int notificationTextLowerFontSize: 16

    // Footer Time line
    property int btnFooterY: 12
    property int timelineFooterBtnX: 42
    property int shareFooterBtnX: 169
    property int notificationFooterBtnX: 301

    // Header Font
    property int headerBtnFontSize: 21

    // TimeLine Tab Holder
    property int tabHolderBtnY: 7
    property int timelineBtnX: 67
    property int popularBtnX: 267
    property int notificationBtnX: 13
    property int profileBtnX: 147
    property int settingBtnX: 280

    // Love UnLove Animation
    property int loveUnloveAnimationSmallWidth: 130
    property int loveUnloveAnimationSmallHeight: 99
    property int loveUnloveAnimationBigWidth: 453
    property int loveUnloveAnimationBigHeight: 333
    property int loveAnimationBigSmallerWidth: 227
    property int loveAnimationBigSmallerHeight: 167
    property int loveAnimationSmallSmallerWidth: 67
    property int loveAnimationSmallSmallerHeight: 49

    // PhotoComponent
    property int photoComponentWidth: 147
    property int photoComponentHeight: 233
    property int photoInPhotoComponentWidthHeight: 133
    property int photoInPortraitXY: 7
    property int smallPaddingPhotoComponent: 4
    property int loveX: 3
    property int commentX: 75
    property int loveCommentAreaY: 4
    property int loveAreaX: 8
    property int commentAreaX: 80
    property int loveCommentCountPhotoComponentWidth: 35
    property int loveCommentCountPhotoComponentHeight: 21
    property int loveCountPhotoComponentX: 35
    property int commentCountPhotoComponentX: 107
    property int loveCommentCountPhotoComponentY: 3
    property int loveCommentPhotoComponentFontSize: 19
    property int userDetailPhotoComponentFontSize: 13
    property int uploaderTimestampPhotoComponentX: 5

    // Loadmore
    property int loadmoreHeight: 93

    // Welcome Screen
    property int welcomeScreenLoginButtonLeft: 27
    property int welcomeScreenLoginButtonTop: 16
    property int welcomeScreenRegisterButtonLeft: 259
    property int welcomeScreenRegisterButtonTop: 16

    // Dialog Body Fix Height
    property int headerDialogHeight: 64
    property int bodyLoginDialogHeight: 280
    property int bodyRegisterDialogHeight: 464
    property int bodyChooseIntervalHeight: 480

    // ProfileView Caption Font
    property int profileViewCaptionFontSize: 27

    // Follow Button
    property int followingFontSize: 21

    // Medium Button
    property int mediumButtonFontSize: 32

    // Small Button
    property int smallButtonFontSize: 18

    // Notification Badge
    property int notificationBadgeFontSize: 18

    // Dialog
    property int dialogFontSizeBig: 32
    property int dialogFontSizeMedium: 29
    property int dialogFontSizeSmall: 24

    // Paddding
    property int smallPadding: 7
    property int bigPadding: 13
    property int paddingLeftRight: 27
    property int fifteenPadding: 20
    property int tenPadding: 13
    property int sixPadding: 8
    property int twentyPadding: 27
    property int listBetweenPadding: 5

    //Change Password dialog
    property int changePasswordDialogCheckBoxWidth: 49
    property int changePasswordDialogCheckBoxShowTextWidth: 41

    // Dialog Header
    property int dialogHeaderHeightWhenNotHaveCaption: 35
    property int dialogHeaderTextVerticalOffset: 11
    property int dialogHeaderTextX: 7
    property int dialogHeaderTextY: 4

    // Dialog TextBox
    property int dialogTextBoxWidth: 368
    property int dialogTextBoxHeight: 48
    property int textInputDialogWidth: 352
    property int textInputDialogHeight: 36
    property int textInputDialogX: 8
    property int textInputDialogY: 5

    // LoadingImage
    property int bigDotX: 184
    property int bigDotY: 371
    property int bigDotVerticalOffset: 39
    property int bigDotHorriZontalOffset: 39
    property int bigLoadingImageOriginX: 13
    property int bigLoadingImageOriginY: 13
    property int smallDotX: 200
    property int smallDotY: 397
    property int smallLoadingImageOriginX: 0
    property int smallLoadingImageOriginY: 12
    property int smallDotVerticalOffset: 16
    property int smallDotHorriZontalOffset: 28

    // Filter Icon
    property int filterIconItemWidth: 100
    property int filterIconItemHeight: 120
    property int filterIconLeft: 7
    property int filterIconTop: 6
    property int filterIconWidth: 86
    property int filterIconHeight: 86
    property int filterIconCaptionTopMargin: 2
    property int filterIconFontSize: 16

    // Photo Size
    property int imageSizePhotoComponent: Constant.IMAGESIZE_PREVIEW_BIG
    property int imageSizeFriendScreenProfile: Constant.IMAGESIZE_POP_SMALL
    property int imageSizeItemList: Constant.IMAGESIZE_POP_SMALL
    property int imageSizeHeaderBarProfile:Constant.IMAGESIZE_MINI
    property int imageSizeUserProfileAvatar: Constant.IMAGESIZE_POP_SMALL
    property string imageSizeLargePicture:"large480"

    // Image Processor
    property int previewImageSize: 480

    // Slider
    property int sliderMinXOffset: 53
    property int sliderMaxXOffset: 93

    // Radio Button
    property int radioButtonFontSize: 24

    // Photo Source Dialog
    property int btnFromPhotoSourceTopMargin: 18
    property int btnPhotoSourceFontSize: 24

    // Front Page
    property int frontPageImagePerRow: 3
}
