import QtQuick 1.0

Image {

    id: buttonbase

    signal clicked
    signal pressed
    signal released

    property string text
    property int textSize: themeManager.mediumButtonFontSize

    property string bitmap
    property string bitmap_pressed

    property string textColor: "#ffffff"
    property string textSunkenColor: "#4f000000"

    property string pressedTextColor: "#ffffff"

    property int textLeftMargin: 0
    property int textRightMargin: 0

    property bool focusable: true

    property bool forcePressed: false

    property bool is_pressed: (hitbox.pressed && hitbox.containsMouse) || forcePressed

    property string iconSource: ""

    source: is_pressed ? bitmap_pressed : bitmap

    MouseArea {
        id: hitbox
        anchors.fill: parent

        onPressed: {
            if (buttonbase.focusable)
                buttonbase.focus = true;
            buttonbase.pressed()
        }

        onReleased: {
            buttonbase.released()
        }

        onClicked: {
            buttonbase.clicked()
        }
    }

    Image {
        id: icon
        asynchronous: true
        anchors.left: parent.left
        anchors.verticalCenter: parent.verticalCenter
        source: iconSource
    }

    Text {
        id: label
        text: buttonbase.text
        font.bold: true
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        anchors.leftMargin: buttonbase.textLeftMargin + icon.width
        anchors.rightMargin: buttonbase.textRightMargin
        font.family: "Lato Black"
        font.pixelSize: buttonbase.textSize
        color: is_pressed ? buttonbase.pressedTextColor : buttonbase.textColor
        styleColor: buttonbase.textSunkenColor
        style: Text.Sunken
    }

}
