import QtQuick 1.0
import MOLOMELib 1.0
import "../js/storage.js" as Storage

Image {

    id: buttonbase

    signal clicked

    property bool flashOn: false

    property bool pressed: hitbox.pressed && hitbox.containsMouse

    source: flashOn ? "../res/btn_flash_on.png" : "../res/btn_flash_off.png"

    Component.onCompleted: {
        /*
        var flashMode = Storage.getData("flashMode");
        if (flashMode === null)
            buttonbase.flashOn = false;
        else if (flashMode === "true")
            buttonbase.flashOn = true;
        else
            buttonbase.flashOn = false;
        */
    }

    function refreshMode()
    {
        if (camera === null)
            return;

        if (flashOn)
            camera.flashMode = MOLOMECamera.FlashOn;
        else
            camera.flashMode = MOLOMECamera.FlashOff;
    }

    MouseArea {
        id: hitbox
        anchors.fill: parent

        onPressed: {
            flashOn = !flashOn;
            parent.clicked()
        }
    }

}
