import QtQuick 1.0
import MOLOMELib 1.0
import "../js/storage.js" as Storage

Image {

    id: buttonbase

    signal clicked

    property bool focusAuto: true

    property bool pressed: hitbox.pressed && hitbox.containsMouse

    source: focusAuto ? "../res/btn_focus_auto.png" : "../res/btn_focus_macro.png"

    Component.onCompleted: {
        var _focusAuto = Storage.getData("focusAuto");
        if (_focusAuto === null)
            buttonbase.focusAuto = true;
        else if (_focusAuto === "false")
            buttonbase.focusAuto = false;
        else
            buttonbase.focusAuto = true;
    }

    function refreshMode()
    {
        if (camera === null || camera === undefined)
            return;

        if (focusAuto)
            camera.focusMode = MOLOMECamera.AutoFocus;
        else
            camera.focusMode = MOLOMECamera.MacroFocus;
    }

    onFocusAutoChanged: {
        refreshMode();
    }

    MouseArea {
        id: hitbox
        anchors.fill: parent

        onPressed: {
            focusAuto = !focusAuto;
            parent.clicked()
        }
    }

}
