import QtQuick 1.0

Image {
    id: buttonbase

    signal clicked

    property bool pressed: hitbox.pressed && hitbox.containsMouse
    property string text
    property int fontSize: themeManager.headerBtnFontSize
    property bool selected: false

    source: pressed ? "../res/header_menu_btn_bg_selected.png" : (selected ? "../res/header_menu_btn_bg_selected.png" : "../res/header_menu_btn_bg_normal.png")

    MouseArea {
        id: hitbox
        anchors.fill: parent

        onClicked: {
            parent.clicked()
        }
    }

    Text {
        id: label
        text: parent.text
        font.bold: true
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        anchors.fill: parent
        anchors.topMargin: 2
        font.family: "Lato Black"
        font.pixelSize: buttonbase.fontSize
        color: pressed ? "#ed8b2b" : (selected ? "#ed8b2b" : "#af470d")
        styleColor: pressed ? "#9b4906" : (selected ? "#9b4906" : "#df832d")
        style: Text.Sunken
    }
}
