import QtQuick 1.0
import "../UIComponents"
import "../js/createComponent.js" as CreateComponent

Rectangle {

    id: buttonbase

    width: parent.width
    height: visible ? themeManager.loadmoreHeight : 0
    anchors.left: parent.left
    anchors.right: parent.right
    anchors.leftMargin: themeManager.bigPadding
    anchors.rightMargin: themeManager.bigPadding

    radius: 12

    signal clicked

    property string text
    property variant loadingComponent
    property bool isLoading
    property bool pressed: hitbox.pressed && hitbox.containsMouse

    color: pressed && buttonbase.isLoading == false ? "#0f7ae6" : "#DBDBDB"

    MouseArea {
        id: hitbox
        anchors.fill: parent

        onClicked: {
            parent.clicked()
        }
    }
    Item {
        id: loadingBox
        anchors.left: parent.left
        anchors.margins: themeManager.bigPadding
        width: buttonbase.height
        height: buttonbase.height
        anchors.verticalCenter: parent.verticalCenter
        visible: buttonbase.isLoading

        SmallLoadingImage{
            id:loadingSmall
            visible:buttonbase.isLoading

        }
    }

    Text {
        id: label
        text: buttonbase.text
        font.bold: true
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        anchors.centerIn: parent
        font.pixelSize: themeManager.dialogFontSizeSmall
        color: pressed && !isLoading ? "#ffffff" : "#808080"
        styleColor: "#ffffff"
        style: pressed && !isLoading ? Text.Normal : Text.Raised
    }
}
