import QtQuick 1.0
import "../ButtonComponents"

Item {
    id: btnBox
    width: btn.width
    height: btn.height
    signal clicked
    property bool isLove: false
    property bool isLoveBtn : true
    property int value

    Button {
        id: btn
        bitmap: "../res/btn_love_comment.png"
        bitmap_pressed: "../res/btn_love_comment_click.png"
        //bitmap_selected: "../res/btn_love_comment_click.png"
        onClicked: {
            parent.clicked()
        }
        Item {
            id: sambolBox
            width: sambol.width
            height: sambol.height
            visible: true
            anchors.left: parent.left
            anchors.margins: themeManager.bigPadding
            anchors.verticalCenter: parent.verticalCenter
            Image {
                id: sambol
                x: 0
                y: -2
                source: isLove ? "../res/love_btn_icon.png" : "../res/love_btn_icon_gray.png"
                visible: isLoveBtn
            }
            Image {
                id: sambolComment
                y: -2
                source: "../res/comment_btn_icon.png"
                visible: !isLoveBtn
            }
        }
        Item {
            id: loveBox
            visible: isLoveBtn
            Text {
                id: loveTxt
                x: themeManager.loveCommnetBtnLoveBoxX
                y: 0
                height: btn.height - themeManager.sixPadding
                color: "#ffffff"
                text: "Love"
                verticalAlignment: Text.AlignVCenter
                font.pixelSize: themeManager.loveCommentBtnBigFontSize
            }
        }
        Item {
            id: commentBox
            visible: !isLoveBtn
            Text {
                id: commentTxt
                x: themeManager.loveCommnetBtnCommentBoxX
                y: 0
                height: btn.height - themeManager.sixPadding
                color: "#ffffff"
                text: "Comment"
                verticalAlignment: Text.AlignVCenter
                font.pixelSize: themeManager.loveCommentBtnSmallFontSize
            }
        }
        Item {
            id: valueBox
            x: themeManager.valueLoveCommentX
            y: themeManager.valueLoveCommentY
            anchors.right: parent.right
            width: themeManager.valueLoveCommentWidth
            height: themeManager.valueLoveCommentHeight
            anchors.rightMargin: themeManager.bigPadding
            Text {
                id: value
                color: "#ffffff"
                text: btnBox.value
                anchors.centerIn: parent
                font.pixelSize: themeManager.loveCommentBtnMediumFontSize
            }
        }

    }
}


