import QtQuick 1.0

Image {
    id: buttonbase

    signal clicked

    property bool pressed: hitbox.pressed && hitbox.containsMouse

    source: pressed ? "../res/btn_newuser_press.png" : "../res/btn_newuser_normal.png"

    MouseArea {
        id: hitbox
        anchors.fill: parent

        onClicked: {
            parent.clicked()
        }
    }

    Text {
        id: label
        text: qsTr("New User")
        font.bold: true
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        anchors.centerIn: parent
        font.family: "Lato Black"
        font.pixelSize: themeManager.mediumButtonFontSize
        color: pressed ? "#FFFFFF" : "#436897"
        styleColor: "#3fbbdd"
        style: pressed ? Text.Normal : Text.Sunken
    }
}
