import QtQuick 1.0

Image {
    id: buttonbase

    signal clicked

    property string iconSource
    property string text: "0"

    property string bitmap
    property string bitmap_pressed

    property bool selected: false

    property bool pressed: hitbox.pressed && hitbox.containsMouse

    source: pressed || selected ? "../res/notification_tab_bg_selected.png" : "../res/notification_tab_bg_normal.png"

    MouseArea {
        id: hitbox
        anchors.fill: parent

        onClicked: {
            parent.clicked()
        }
    }

    Image {
        x: themeManager.notificationImageX
        y: themeManager.notificationImageY
        source: buttonbase.iconSource
    }

    Text {
        x: themeManager.notificationTextX
        width: themeManager.notificationTextWidth
        height: parent.height
        color: "#606060"
        text: buttonbase.text
        font.bold: true
        font.pixelSize: themeManager.notificationFontSize
        style: Text.Raised
        styleColor: "#ffffff"
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
    }
}
