import QtQuick 1.0

Item {
    id: buttonbase

    signal clicked

    property string text
    property bool selected: false

    property bool focusable: true

    property string textColor: "#ffffffff"
    property string textStyleColor: "#4f000000"

    property string bitmap
    property string bitmap_pressed
    property string bitmap_selected

    property bool pressed: hitbox.pressed && hitbox.containsMouse

    width: icon.width + label.width
    height: icon.height

    Image {
        id: icon
        anchors.verticalCenter: buttonbase.verticalCenter
        source: pressed ? bitmap_pressed : (selected ? bitmap_selected : bitmap)
    }

    Text {
        id: label
        text: parent.text
        anchors.verticalCenter: buttonbase.verticalCenter
        //horizontalAlignment: Text.AlignHCenter
        anchors.left: icon.right
        font.family: "Lato Black"
        font.pixelSize: themeManager.radioButtonFontSize
        color: buttonbase.textColor
        styleColor: buttonbase.textStyleColor
        style: Text.Sunken
    }

    MouseArea {
        id: hitbox
        anchors.fill: parent

        onPressed: {
            if (buttonbase.focusable)
                buttonbase.focus = true;
        }

        onClicked: {
            buttonbase.clicked()
        }
    }
}
