import QtQuick 1.0

Image {
    id: buttonbase

    signal clicked

    property bool pressed: hitbox.pressed && hitbox.containsMouse

    source: pressed ? "../res/btn_signin_press.png" : "../res/btn_signin_normal.png"

    MouseArea {
        id: hitbox
        anchors.fill: parent

        onClicked: {
            buttonbase.clicked()
        }
    }

    Text {
        id: label
        text: "Sign In";
        font.bold: true
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        anchors.centerIn: parent
        font.family: "Lato Black"
        font.pixelSize: themeManager.mediumButtonFontSize
        color: pressed ? "#FFFFFF" : "#629009"
        styleColor: "#CAE676"
        style: pressed ? Text.Normal : Text.Sunken
    }
}
