import "../DialogComponents"
import QtQuick 1.0
import MOLOMELib 1.0
import "../ButtonComponents"
import "../UIComponents"
import "../js/createComponent.js" as CreateComponent

Rectangle {
    id: badgeDialog
    width: parent.width
    height: parent.height
    color: "#80000000"
    property string badgeSource
    property string bagdeName
    property string bagdeDescription
    property string badgeId
    signal clicked

    MouseArea {
        id: hitBox
        anchors.fill: parent
        onClicked: {}
    }
    DialogHeader {
        id: header
        anchors.verticalCenterOffset: -(body.height>>1)
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenterOffset: 0
        anchors.horizontalCenter: parent.horizontalCenter
    }
    DialogBody {
        id: body
        anchors.top: header.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        height: childrenRect.height
        CacheableImage {
            id: badgePicture
            cacheMode: ImageCacheMode.CacheBadge
            sourceSize: Qt.size(themeManager.badgeComponentWidthHeight, themeManager.badgeComponentWidthHeight)
            loadingImagePath: "../res/loadingbadges.png"
            sourceImagePath: badgeDialog.badgeSource
            anchors.top: parent.top
            anchors.horizontalCenter: parent.horizontalCenter
        }
        Text {
            id: bagdeNameText
            anchors.top: badgePicture.bottom
            anchors.topMargin: themeManager.smallPadding
            width: parent.width - themeManager.bigPadding*4
            color: "#606060"
            text: badgeDialog.bagdeName
            font.pixelSize: themeManager.dialogFontSizeSmall
            style: Text.Raised
            styleColor: "#ffffff"
            anchors.horizontalCenter: parent.horizontalCenter
            horizontalAlignment: Text.AlignHCenter
            parent: body
        }
        Text {
            id: bagdeDescriptionText
            anchors.top: bagdeNameText.bottom
            anchors.topMargin: themeManager.smallPadding
            width: parent.width - themeManager.bigPadding*4
            color: "#808080"
            text: badgeDialog.bagdeDescription
            styleColor: "#ffffff"
            style: Text.Raised
            font.pixelSize: themeManager.dialogFontSizeSmall
            anchors.horizontalCenter: parent.horizontalCenter
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            horizontalAlignment: Text.AlignHCenter
            parent: body
        }
        MediumButton {
            id: btnOk
            text: "OK"
            anchors.top: bagdeDescriptionText.bottom
            anchors.margins: themeManager.bigPadding
            anchors.horizontalCenter: parent.horizontalCenter
            onClicked: CreateComponent.destroyComponent(badgeDialog, 0);
        }
    }
    DialogBottom {
        id: bottom
        anchors.top: body.bottom
        anchors.horizontalCenter:  parent.horizontalCenter
    }
}
