import QtQuick 1.0
import "../DialogComponents"
import "../UIComponents"
import "../ButtonComponents"
import "../js/createComponent.js" as CreateComponent

Rectangle {
    id: changePasswordDialog
    signal clicked
    width: parent.width
    height: parent.height
    color: "#80000000"
    z: 2

    MouseArea {
        anchors.fill: parent
        onClicked: {
            CreateComponent.destroyComponent(changePasswordDialog,0);
        }
    }

    DialogHeader {
        id: header
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: -(body.height>>1)
        text: "Change Password"
                MouseArea {
                    anchors.fill: parent
                    onClicked: {

                    }
                }
    }

    DialogBody {
        id: body
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: header.bottom
        height: childrenRect.height
        MouseArea {
            anchors.fill: parent
            onClicked: {

            }
        }
        Item {
            id: changePasswordItem
            anchors.top: parent.top
            width: parent.width
            height: childrenRect.height
            Item10 {
                id: headerBox
                anchors.top: parent.top
            }
            Text {
                id: currentPasswordCaption
                anchors.top: headerBox.bottom
                anchors.left: parent.left
                anchors.leftMargin: themeManager.paddingLeftRight
                text: "Current Password :"
                font.pixelSize: themeManager.dialogFontSizeSmall
            }
            Item {
                id: checkBoxItem
                width: childrenRect.width
                height: btnCheck.height
                anchors.right: parent.right
                anchors.rightMargin: themeManager.paddingLeftRight
                anchors.bottom: currentPassword.top
                anchors.bottomMargin: themeManager.smallPadding
                RadioButton {
                    id: btnCheck
                    text: qsTr("Show")
                    textColor: "#808080"
                    bitmap: "../res/dialog_checkbox_normal.png"
                    bitmap_pressed: "../res/dialog_checkbox_checked.png"
                    bitmap_selected: "../res/dialog_checkbox_checked.png"
                    selected: false
                    onClicked: {
                        btnCheck.selected = btnCheck.selected == false ? true : false
                    }
                }
            }

            Item10 {
                id: betweenCurrentPasswordCaptionAndCurrentPasswordInput
                anchors.top: currentPasswordCaption.bottom
            }
            DialogTextBox {
                id: currentPassword
                anchors.top: betweenCurrentPasswordCaptionAndCurrentPasswordInput.bottom
                anchors.horizontalCenter: parent.horizontalCenter
                mode: btnCheck.selected == true ? TextInput.Normal : TextInput.Password
            }
            Item10 {
                id: betweencurrentPasswordAndNewPasswordInput
                anchors.top: currentPassword.bottom
            }
            Text {
                id: newPasswordCaptopn
                anchors.top: betweencurrentPasswordAndNewPasswordInput.bottom
                anchors.left: parent.left
                anchors.leftMargin: themeManager.paddingLeftRight
                text: "New Password :"
                font.pixelSize: themeManager.dialogFontSizeSmall
            }
            Item10 {
                id: betweenNewPasswordCaptionAndNewPasswordInput
                anchors.top: newPasswordCaptopn.bottom
            }
            DialogTextBox {
                id: newPasswordInput
                anchors.top: betweenNewPasswordCaptionAndNewPasswordInput.bottom
                anchors.horizontalCenter: parent.horizontalCenter
                mode: btnCheck.selected == true ? TextInput.Normal : TextInput.Password
            }
            Item10 {
                id: betweennewPasswordInputAndNewPasswordCaption
                anchors.top: newPasswordInput.bottom
            }
            Text {
                id: newPasswordCaption
                anchors.top: betweennewPasswordInputAndNewPasswordCaption.bottom
                anchors.left: parent.left
                anchors.leftMargin: themeManager.paddingLeftRight
                text: "Confirm New Password :"
                font.pixelSize: themeManager.dialogFontSizeSmall
            }
            Item10 {
                id: betweennewPasswordCaptionAndConfirmPasswordInput
                anchors.top: newPasswordCaption.bottom
            }
            DialogTextBox {
                id: confirmPasswordInput
                anchors.top: betweennewPasswordCaptionAndConfirmPasswordInput.bottom
                anchors.horizontalCenter: parent.horizontalCenter
                mode: btnCheck.selected == true ? TextInput.Normal : TextInput.Password
            }
            Item10 {
                id: betweenconfirmPasswordInputAndBtnOk
                anchors.top: confirmPasswordInput.bottom
            }
            MediumButton {
                id: btnOK
                anchors.top: betweenconfirmPasswordInputAndBtnOk.bottom
                anchors.horizontalCenter: parent.horizontalCenter
                text: "OK"
                onClicked: {
                    changePasswordDialog.clicked()
                }
            }
        }
    }

    DialogBottom {
        id: bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: body.bottom
        MouseArea {
            anchors.fill: parent
            onClicked: {

            }
        }
    }

    Component.onCompleted: {
        currentPassword.setFocus();
    }

    function getCurrentPassword() {
        return currentPassword.getText();
    }
    function getNewPassword() {
        return newPasswordInput.getText();
    }
    function getConfirmNewPassword() {
        return confirmPasswordInput.getText();
    }
    function destroyDialog() {
        CreateComponent.destroyComponent(changePasswordDialog,0);
    }
}
