import QtQuick 1.0
import "../DialogComponents"
import "../UIComponents"
import "../ListItem"
import "../ButtonComponents"
import "../js/createComponent.js" as CreateComponents
import "../../util/constant.js" as Constant

Rectangle {
    id: chooseImageResolutionDialog
    property int imageResolution: finalImageResolution
    width: parent.width
    height: parent.height
    color: "#80000000"

    signal clicked(int id)

    MouseArea {
        anchors.fill: parent
    }

    DialogHeader {
        id: header
        text: "Image Resolution"
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: -(body.height>>1)
        anchors.horizontalCenter: parent.horizontalCenter
    }

    DialogBody {
        id: body
        anchors.horizontalCenter: parent.horizontalCenter
        height: childrenRect.height
        anchors.top: header.bottom

        SettingsCaption {
            id: caption
            text: "Choose"
            width: parent.width
            //height: 40
            anchors.top : body.top
            anchors.right: parent.right
            anchors.rightMargin: themeManager.bigPadding
            anchors.left: parent.left
            anchors.leftMargin: themeManager.bigPadding
        }
        ChooseStorage {
            id: resolution600
            anchors.top: caption.bottom
            text: "600x600"
            anchors.left: parent.left
            anchors.leftMargin: themeManager.bigPadding
            anchors.right: parent.right
            anchors.rightMargin: themeManager.bigPadding
            height: themeManager.chooseStorageHeight
            selected: (imageResolution === resolution600.value) ? true : false
            value: 600
            onClicked: {
                chooseImageResolutionDialog.clicked(resolution600.value)
                destroyDialog();
            }
        }
        ChooseStorage {
            id: resolution800
            anchors.top: resolution600.bottom
            anchors.left: parent.left
            anchors.leftMargin: themeManager.bigPadding
            anchors.right: parent.right
            anchors.rightMargin: themeManager.bigPadding
            //selected: (imageResolution === phoneMemory.value) ? true : false
            text: "800x800"
            value: 800
            selected: (imageResolution === resolution800.value) ? true : false
            onClicked: {
                chooseImageResolutionDialog.clicked(resolution800.value)
                destroyDialog();
            }
        }

        Item {
            id: blankItem
            anchors.top: resolution800.bottom
            width: parent.width
            height: themeManager.tenPadding
            anchors.right: parent.right
            anchors.left: parent.left


        }
        MediumButton {
            id: btnOk
            text: "Cancel"
            anchors.top: blankItem.bottom
            color: Constant.COLOR_ORANGE
            anchors.horizontalCenter: body.horizontalCenter
            onClicked: {
                destroyDialog();
            }
        }
    }

    DialogBottom {
        id: bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: body.bottom
    }
    function destroyDialog(){
        CreateComponents.destroyComponent(chooseImageResolutionDialog, 0);
    }
}
