import QtQuick 1.0
import MOLOMELib 1.0
import "../DialogComponents"
import "../UIComponents"
import "../ListItem"
import "../ButtonComponents"
import "../js/createComponent.js" as CreateComponents
import "../../util/constant.js" as Constant

Rectangle {
    id: chooseIntervalDialog
    width: parent.width
    height: parent.height
    color: "#80000000"
    signal selected(int id)

    MouseArea {
        anchors.fill: parent
        onClicked: {

        }
    }

        DialogHeader {
            id: header
            anchors.verticalCenterOffset: -(body.height>>1)
            anchors.verticalCenter: parent.verticalCenter
            text: "Auto Refresh Interval"
            anchors.horizontalCenter: parent.horizontalCenter
        }

        DialogBody {
            id: body
            anchors.horizontalCenter: parent.horizontalCenter
            height: themeManager.bodyChooseIntervalHeight
            anchors.top: header.bottom

            SettingsCaption {
                id: intervalcaption
                text: "Interval"
                anchors.top: parent.top
                anchors.left: parent.left
                anchors.leftMargin: themeManager.bigPadding
                anchors.right: parent.right
                anchors.rightMargin: themeManager.bigPadding
            }

            ChooseIntervalList {
                id: chooseLanguageList
                width: parent.width - themeManager.twentyPadding
                anchors.top: intervalcaption.bottom
                anchors.bottom: blankItem.top
                anchors.right: parent.right
                anchors.rightMargin: themeManager.bigPadding
                anchors.left: parent.left
                anchors.leftMargin: themeManager.bigPadding
                onClicked: {
                    chooseIntervalDialog.selected(senderId);
                    CreateComponents.destroyComponent(chooseIntervalDialog, 0);
                }
            }

            Item {
                id: blankItem
                width: parent.width
                height: themeManager.tenPadding
                anchors.bottom: btnOk.top
                anchors.right: parent.right
                anchors.left: parent.left
            }
            MediumButton {
                id: btnOk
                text: "Cancel"
                color: Constant.COLOR_ORANGE
                anchors.bottom: parent.bottom
                anchors.horizontalCenter: body.horizontalCenter
                onClicked: CreateComponents.destroyComponent(chooseIntervalDialog, 0);
            }
        }

        DialogBottom {
            id: bottom
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: body.bottom
        }

}

