import QtQuick 1.0
import MOLOMELib 1.0
import "../DialogComponents"
import "../UIComponents"
import "../ListItem"
import "../ButtonComponents"
import "../js/createComponent.js" as CreateComponents
import "../../util/constant.js" as Constant

Rectangle {
    id: chooseLanguageDialog
    width: parent.width
    height: parent.height
    color: "#80000000"

    signal selected(int id)

    MouseArea {
        anchors.fill: parent
    }

        DialogHeader {
            id: header
            text: "Language"
            anchors.verticalCenter: parent.verticalCenter
            anchors.verticalCenterOffset: -(body.height>>1)
            anchors.horizontalCenter: parent.horizontalCenter
        }

        DialogBody {
            id: body
            anchors.horizontalCenter: parent.horizontalCenter
            height: 360
            anchors.top: header.bottom

            SettingsCaption {
                id: caption
                text: "Language"
                width: parent.width
                //height: 40
                anchors.top : body.top
                anchors.right: parent.right
                anchors.rightMargin: 10
                anchors.left: parent.left
                anchors.leftMargin: 10
            }

            ChooseLanguageList {
                id: chooseLanguageList
                width: parent.width - 20
                anchors.top: caption.bottom
                anchors.bottom: blankItem.top
                anchors.right: parent.right
                anchors.rightMargin: 10
                anchors.left: parent.left
                anchors.leftMargin: 10

                onClicked: {
                    selected(senderId);
                    CreateComponents.destroyComponent(chooseLanguageDialog, 0);
                }
            }

            Item {
                id: blankItem
                width: parent.width
                height: 10
                anchors.bottom: btnOk.top
                anchors.right: parent.right
                anchors.left: parent.left
            }
            MediumButton {
                id: btnOk
                text: "Cancel"
                color: Constant.COLOR_ORANGE
                anchors.bottom: parent.bottom
                anchors.horizontalCenter: body.horizontalCenter
                onClicked: CreateComponents.destroyComponent(chooseLanguageDialog, 0);
            }
        }

        DialogBottom {
            id: bottom
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: body.bottom
        }

}

