import QtQuick 1.0
import "../DialogComponents"
import "../UIComponents"
import "../ListItem"
import "../ButtonComponents"
import "../js/createComponent.js" as CreateComponents
import "../../util/constant.js" as Constant

Rectangle {
    id: chooseStorageDialog
    property int storageIndex: finalImageResolution
    width: parent.width
    height: parent.height
    color: "#80000000"

    signal clicked(int id)

    MouseArea {
        anchors.fill: parent
    }

        DialogHeader {
            id: header
            text: "Storage"
            anchors.verticalCenter: parent.verticalCenter
            anchors.verticalCenterOffset: -(body.height>>1)
            anchors.horizontalCenter: parent.horizontalCenter
        }

        DialogBody {
            id: body
            anchors.horizontalCenter: parent.horizontalCenter
            height: childrenRect.height
            anchors.top: header.bottom

            SettingsCaption {
                id: caption
                text: "Location"
                width: parent.width
                //height: 40
                anchors.top : body.top
                anchors.right: parent.right
                anchors.rightMargin: themeManager.bigPadding
                anchors.left: parent.left
                anchors.leftMargin: themeManager.bigPadding
            }
            ChooseStorage {
                id: memoryCard
                anchors.top: phoneMemory.bottom
                text: "Memory Card"
                anchors.left: parent.left
                anchors.leftMargin: themeManager.bigPadding
                anchors.right: parent.right
                anchors.rightMargin: themeManager.bigPadding
                height: (memoryCard.visible == true) ? themeManager.chooseStorageHeight : 0
                visible: storageManager.isMemoryCardAvailable()
                selected: (storageIndex == memoryCard.value) ? true : false
                value: 1
                onClicked: {
                    chooseStorageDialog.clicked(memoryCard.value)
                    destroyDialog();
                }
            }
            ChooseStorage {
                id: phoneMemory
                anchors.top: caption.bottom
                anchors.left: parent.left
                anchors.leftMargin: themeManager.bigPadding
                anchors.right: parent.right
                anchors.rightMargin: themeManager.bigPadding
                //selected: (storageIndex == phoneMemory.value) ? true : false
                text: "Phone's Memory"
                value: 0
                onClicked: {
                    chooseStorageDialog.clicked(phoneMemory.value)
                    destroyDialog();
                }
                Component.onCompleted: {
                    if (memoryCard.visible == true) {
                        if(storageIndex == phoneMemory.value) {
                            phoneMemory.selected = true;
                        }else {
                            phoneMemory.selected = false;
                        }
                    } else {
                        phoneMemory.selected = true;
                    }

                }
            }

            Item {
                id: blankItem
                anchors.top: memoryCard.bottom
                width: parent.width
                height: themeManager.tenPadding
                anchors.right: parent.right
                anchors.left: parent.left


            }
            MediumButton {
                id: btnOk
                text: "Cancel"
                anchors.top: blankItem.bottom
                color: Constant.COLOR_ORANGE
                anchors.horizontalCenter: body.horizontalCenter
                onClicked: {
                    destroyDialog();
                }
            }
        }

        DialogBottom {
            id: bottom
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: body.bottom
        }
        function destroyDialog(){
            CreateComponents.destroyComponent(chooseStorageDialog, 0);
        }
}
