import QtQuick 1.0
import MOLOMELib 1.0
import "../js/createComponent.js" as CreateComponent
import "../DialogComponents"
import "../ButtonComponents"
import "../../util/constant.js" as Constant


Rectangle {
    id: cleanAndClearTermsDialog
    width: parent.width
    height: parent.height
    color: "#80000000"
    signal agreed(bool checked)
    signal notAgreed

    function isCheckBoxChecked() {
        return btnCheck.selected;
    }

    MouseArea {
        anchors.fill: cleanAndClearTermsDialog
        onClicked: {
            CreateComponent.destroyComponent(cleanAndClearTermsDialog,0);
        }
    }

    DialogHeader {
        id: header
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: -(body.height>>1)
        text: "Terms & Conditions"
        MouseArea {
            anchors.fill: parent
            onClicked: {

            }
        }
    }

    DialogBody {
        id: body
        anchors.horizontalCenter: parent.horizontalCenter
        height: themeManager.screenHeight * 0.7
        anchors.top: header.bottom
        MouseArea {
            anchors.fill: parent
            onClicked: {

            }
        }

        Flickable {
            id: flickable
            anchors.top: parent.top
            anchors.topMargin: themeManager.bigPadding
            anchors.bottom: btnCheck.top
            anchors.bottomMargin: themeManager.smallPadding
            anchors.left: parent.left
            anchors.leftMargin: themeManager.paddingLeftRight
            anchors.right: parent.right
            anchors.rightMargin: themeManager.paddingLeftRight
            flickableDirection: Flickable.VerticalFlick
            clip: true
            contentWidth: flickable.width
            contentHeight: textTerms.height
            Text {
                id: textTerms
                width: parent.width
                anchors.top: parent.top
                text: "<b><u>กติกาการประกวด</u></b><br/><br/><b>&quot;UP and WINK by C&amp;C&quot;</b><br/><br/><b>แชร์สุดเจ๋ง ลุ้นรางวัลสุดเก๋ เปิดประสบการณ์สุดเท่ห์ให้พวกเรา</b><br/><br/>ร่วมสนุกกันง่ายๆ แค่แชร์ภาพถ่ายโดนๆผ่าน  MOLOME  โมบายแอพพลิเคชั่นสุดชิค  พร้อมตกแต่งด้วยฟิลเตอร์ เฟรม หรือสติ๊กเกอร์น่ารักๆจาก Clean and Clear® เพียงเท่านี้ภาพความสดใสของคุณก็จะมาปรากฏอยู่ใน &quot;UP and WINK by C&amp;C&quot; รอให้เพื่อนๆมากด Love, Like และ Vote กันแล้ว จากนั้นรอลุ้นรางวัลไอดอลคนใหม่แห่ง Clean and Clear® กันเลย<br/><br/><b>หลักเกณฑ์การตัดสินผู้ชนะและผู้ได้รับของรางวัลประจำวัน/ สัปดาห์</b><br/><br/>1.&nbsp;&nbsp;&nbsp;&nbsp;ลงทะเบียนร่วมกิจกรรมผ่าน Molome โมบายแอพพลิเคชั่น<br/>2.&nbsp;&nbsp;&nbsp;&nbsp;ทุกๆวันจะมีการสุ่มหาผู้โชคดีที่ได้รับ Daily Molo Pillow ตุ๊กตาโมโล วันละ 2 รางวัล<br/>3.&nbsp;&nbsp;&nbsp;&nbsp;ภาพที่ได้รับคะแนนโหวตสูงสุดสองอันดับแรกของสัปดาห์ที่ 1-4  จะได้รับ Samsung U6 <font color=\"red\"><u>เครื่องเปล่า</u></font> พร้อมรับ Clean and Clear® Giftset* ท่านละ 1 รางวัล<br/>4.&nbsp;&nbsp;&nbsp;&nbsp;ภาพที่ได้รับคะแนนโหวตสูงสุดสองอันดับแรกของสัปดาห์ที่ 5  จะได้รับ iPod Shuffle 1GB พร้อมรับ Clean and Clear® Giftset* ท่านละ 1 รางวัล<br/>5.&nbsp;&nbsp;&nbsp;&nbsp;ภาพที่ได้รับคะแนนโหวตสูงสุดของแคมเปญ จะได้รับ iPhone5 16 GB. <font color=\"red\"><u>เครื่องเปล่า</u></font> พร้อมรับ Clean and Clear® Giftset ใช้ฟรีตลอดปี** ท่านละ 1 รางวัล<br/>6.&nbsp;&nbsp;&nbsp;&nbsp;สุ่มหาผู้โชคดีจากผู้ร่วมโหวต จะได้รับ Samsung Wave II <font color=\"red\"><u>เครื่องเปล่า</u></font> พร้อมรับ Clean and Clear® Giftset* ท่านละ 1 รางวัล<br/><br/>*Giftset ประกอบด้วย คลีน แอนด์ เคลียร์ เอสเซนเชียล โฟมมิ่ง เฟเชียล วอช 100 มล. จำนวน 1 ขวด คลีน แอนด์ เคลียร์ เอสเซนเชียล ออยล์-คอนโทรล โทนเนอร์ 100 มล. จำนวน 1 ขวด และ คลีน แอนด์ เคลียร์ เอสเซนเชียล ออยล์-ฟรี มอยส์เจอร์ไรเซอร์ 100 มล. จำนวน 1 ขวด<br/>**Giftset ประกอบด้วย คลีน แอนด์ เคลียร์ เอสเซนเชียล โฟมมิ่ง เฟเชียล วอช 100 มล. จำนวน 12 ขวด คลีน แอนด์ เคลียร์ เอสเซนเชียล ออยล์-คอนโทรล โทนเนอร์ 100 มล. จำนวน 12 ขวด และ คลีน แอนด์ เคลียร์ เอสเซนเชียล ออยล์-ฟรี มอยส์เจอร์ไรเซอร์ 100 มล. จำนวน 12 ขวด<br/><br/><br/>หลักเกณฑ์การนับคะแนนโหวต Clean and Clear® + Molome Possibility Explorer<br/>คะแนนจากการโหวตมาจาก 3 ส่วน ดังนี้<br/>1.&nbsp;&nbsp;&nbsp;&nbsp;จากการกด &quot;Love&quot; ผ่าน MOLOME<br/>2.&nbsp;&nbsp;&nbsp;&nbsp;จากการกด &quot;Like&quot; ผ่านแอพพลิเคชั่นบน Facebook<br/>3.&nbsp;&nbsp;&nbsp;&nbsp;จากการกรอกรหัส &quot;Big Vote&quot; ผ่านแอพพลิเคชั่น Facebook โดยแต่ละ Big Vote ต้องส่งภาพใบเสร็จที่ซื้อสินค้า Clean and Clear® มาที่แอพพลิเคชั่น โดยแต่ละใบเสร็จจะแลกคะแนนได้ 50 คะแนน และจะต้องเก็บใบเสร็จไว้แสดงหากมีการขอตรวจสอบ<br/>4.&nbsp;&nbsp;&nbsp;&nbsp;การนับคะแนนจะนับรวมจาก 5 ภาพที่มีคะแนนสูงสุด<br/>ทั้งนี้ คณะกรรมการจะทำการตรวจสอบคะแนนและหลักฐาน หากพบการทุจริตไม่ว่ากรณีใดๆ คณะกรรมการมีอำนาจแต่เพียงผู้เดียวในการพิจารณาตัดสิทธิ์ผู้ร่วมกิจกรรมทันทีโดยไม่ต้องบอกกล่าวล่วงหน้า<br/><br/><b>ระยะเวลาในการร่วมกิจกรรม</b><br/>&nbsp;&nbsp;&nbsp;&nbsp;วันนี้  - 22 พฤศจิกายน 2555<br/><br/><b>การประกาศผลผู้ชนะและรางวัล</b><br/>ประกาศวันที่ 29 พฤศจิกายน 2555 ผ่านทาง CNCgirls Facebook Fan Page<br/><br/><b>ข้อตกลง:</b>1.&nbsp;&nbsp;&nbsp;&nbsp;ผู้ร่วมกิจกรรมจะต้องมีบัญชี Facebook (Facebook Account) เป็นของตนเอง<br/>2.&nbsp;&nbsp;&nbsp;&nbsp;ผู้ได้รับรางวัลประจำสัปดาห์และรางวัลสูงสุดจะต้องเป็นเพศหญิง สัญชาติไทย อายุไม่เกิน 25 ปี และอาศัยอยู่ในประเทศไทยเท่านั้น<br/>3.&nbsp;&nbsp;&nbsp;&nbsp;ห้ามโพสต์ภาพที่มีเนื้อหาไม่สุภาพ  ส่อไปในทางลามกอนาจาร หรือเกี่ยวข้องกับสถาบันต่างๆ รวมทั้งการพาดพิงบุคคลอื่น  ทำให้เกิดความเสียหาย หากพบคลิปที่ไม่เหมาะสม ทีมงานขอสงวนสิทธิ์ที่จะเปลี่ยนแปลง และ/หรือ ลบภาพดังกล่าวจากกิจกรรมในครั้งนี้ตามดุลพินิจของทีมงาน โดยไม่ต้องแจ้งให้ทราบล่วงหน้า<br/>4.&nbsp;&nbsp;&nbsp;&nbsp;ผู้ได้รับรางวัลสูงสุดบริษัทจะติดต่อเพื่อให้มารับรางวัล ภายใน 7 วันทำการ หลังวันประกาศผล และจะต้องมารับรางวัลภายใน 15 วันทำการ หลังจากวันประกาศผล<br/>5.&nbsp;&nbsp;&nbsp;&nbsp;ผู้ได้รับรางวัลมูลค่าเกิน 500 บาทจะต้องชำระภาษีหัก ณ ที่จ่าย 5% ของมูลค่ารางวัล<br/>6.&nbsp;&nbsp;&nbsp;&nbsp;ผู้ได้รับรางวัลต้องคงสถานะสมาชิก Facebook CNCgirls Fanpage จนถึงวันที่ได้รับรางวัล มิฉะนั้นจะถือว่าผู้ได้รับรางวัลสละสิทธิ์การรับรางวัลนั้นๆ ทันที<br/>7.&nbsp;&nbsp;&nbsp;&nbsp;หากผู้ได้รับรางวัลไม่ติดต่อขอรับรางวัลภายในเวลาที่กำหนดถือว่าสละสิทธิ์และทีมงานจะพิจารณาจัดสรรรางวัลให้ผู้มีสิทธิ์ในลำดับถัดไป<br/>8.&nbsp;&nbsp;&nbsp;&nbsp;รางวัลไม่สามารถเปลี่ยนแปลงหรือโอนสิทธิ์ให้ผู้อื่นได้<br/>9.&nbsp;&nbsp;&nbsp;&nbsp;ในกรณีที่ผู้ได้รับรางวัลไม่สามารถมารับรางวัลได้ด้วยตนเอง จะมอบอำนาจให้ผู้อื่นมารับรางวัลแทนก็ได้ โดยแสดงหนังสือมอบอำนาจและสำเนาบัตรประชาชนพร้อมลายเซ็นต์ของผู้ได้รับรางวัลและสำเนาบัตรประชาชนที่ผู้รับมอบอำนาจไดเซ็นต์ชื่อ พร้อมบัตรประชาชนตัวจริงของผู้รับมอบอำนาจต่อทีมงาน เพื่อเป็นหลักฐานในการมอบอำนาจให้รับรางวัลแทน <br/>10.&nbsp;&nbsp;&nbsp;&nbsp;ผู้ได้รับรางวัลจะต้องปฏิบัติตามข้อกำหนดและเงื่อนไขของกิจกรรมอย่างถูกต้อง ทีมงานขอสงวนสิทธิ์ในการการปฏิเสธการมอบรางวัลหากผู้มีสิทธิ์ได้รับรางวัลไม่ปฏิบัติตามข้อกำหนดและเงื่อนไขที่กำหนดไว้<br/>11.&nbsp;&nbsp;&nbsp;&nbsp;ทีมงานมีสิทธิ์ปฏิเสธ ยกเลิก หยุดกิจกรรม หรือดำเนินการใดๆ  ได้โดยชอบธรรมและไม่จำเป็นต้องแจ้งให้ทราบล่วงหน้า ทั้งนี้ ผู้เข้าร่วมกิจกรรมไม่มีสิทธิ์ในการเรียกร้อง หรือร้องขอผลจากการสูญเสียหรือความเสียหายที่เกิดขึ้นทางตรงและทางอ้อมจากบริษัทฯ <br/>12.&nbsp;&nbsp;&nbsp;&nbsp;ทีมงานขอสงวนสิทธิ์ที่จะเปลี่ยนแปลง และ/หรือ แก้ไขข้อกำหนดและเงื่อนไขต่างๆ ที่เกี่ยวกับการรับรางวัลตามดุลพินิจของทีมงาน โดยไม่ต้องแจ้งให้ทราบล่วงหน้า<br/>13.&nbsp;&nbsp;&nbsp;&nbsp;ผู้ร่วมกิจกรรมที่มีสิทธิ์ได้รับรางวัลจะต้องไม่มีเจตนาทุจริต หรือกระทำการอันผิดวัตถุประสงค์ของกิจกรรมผู้เข้าร่วมกิจกรรมฯ ไม่มี่สิทธิ์เรียกร้องค่าเสียหายใดๆ ที่เกิดขึ้น ไม่ว่าทางแพ่ง หรือทางอาญา จาก บริษัท จอห์นสัน แอนด์ จอห์นสัน คอนซูเมอร์ (ประเทศไทย) จำกัด<br/>14.&nbsp;&nbsp;&nbsp;&nbsp;บริษัทจะไม่รับผิดชอบใดๆ ต่อข้อมูลของผู้เข้าร่วมกิจกรรม และจะไม่รับผิดชอบหากเกิดความเสียหายของข้อมูลอันเนื่องมาจากปัญหาของระบบหรือเทคนิค รวมทั้งการที่บุคคลที่สามนำรูป หรือข้อมูลไปใช้<br/>15.&nbsp;&nbsp;&nbsp;&nbsp;ผู้สมัครเข้าร่วมกิจกรรมฯ ยินยอมและยอมรับในข้อตกลงดังกล่าว ซึ่งถือว่าเป็นการผูกพันตามเงื่อนไขต่างๆ ของข้อตกลงนี้<br/>16.&nbsp;&nbsp;&nbsp;&nbsp;บริษัทฯ ขอสงวนสิทธิ์ในการเปลี่ยนแปลง แก้ไข เพิ่มเติมเงื่อนไขในข้อตกลงต่างๆ โดยไม่ต้องแจ้งให้ทราบล่วงหน้า<br/>17.&nbsp;&nbsp;&nbsp;&nbsp;หากคณะกรรมการพบว่ามีการทุจริตในขั้นตอนการโหวตไม่ว่าด้วย วิธีการใดๆ คะแนนโหวตออนไลน์ของผู้สมัครคนนั้นถือเป็นโมฆะ และคำตัดสินของคณะกรรมการถือเป็นที่สิ้นสุด<br/>18.&nbsp;&nbsp;&nbsp;&nbsp;หากคณะกรรมการพิจารณาแล้วเห็นว่า ผู้ร่วมกิจกรรมท่านใดมิได้ปฏิบัติตาม กฎและข้อตกลงของกิจกรรมหรือมีเจตนาทำลายการดำเนินกิจกรรม คณะกรรมการมีสิทธิ์แต่เพียงผู้เดียวในการพิจารณามิให้ผู้นั้นร่วมกิจกรรมต่อไป และมีสิทธิ์เปลี่ยนแปลง แก้ไข หรือยกเลิกกติกา การให้คะแนน และการให้รางวัลตามความเหมาะสม<br/>19.&nbsp;&nbsp;&nbsp;&nbsp;การตัดสินของคณะกรรมการถือว่าเป็นที่สิ้นสุดในทุกกรณี<br/><br/>"
                font.pixelSize: themeManager.dialogFontSizeSmall
                wrapMode: Text.WrapAnywhere
            }
        }

        RadioButton {
            id: btnCheck
            anchors.bottom: btnAgreeArea.top
            anchors.bottomMargin: themeManager.smallPadding
            anchors.horizontalCenter: parent.horizontalCenter
            bitmap: "../res/dialog_checkbox_normal.png"
            bitmap_pressed: "../res/dialog_checkbox_checked.png"
            bitmap_selected: "../res/dialog_checkbox_checked.png"
            text: "ยอมรับเข้าร่วมโครงการ"
            textColor: "#808080"
            selected: true
            onClicked: {
                btnCheck.selected = btnCheck.selected == false ? true : false
            }
        }

        Item {
            id: btnAgreeArea
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            width: childrenRect.width
            height: childrenRect.height

            MediumButton {
                id: btnAgree
                text: "Agree"
                color: Constant.COLOR_GREEN
                onClicked: {
                    cleanAndClearTermsDialog.agreed(btnCheck.selected)
                }
            }

            MediumButton {
                id: btnNotAgree
                anchors.left: btnAgree.right
                text: "Not Agree"
                color: Constant.COLOR_ORANGE
                onClicked: {
                    cleanAndClearTermsDialog.notAgreed()
                }
            }
        }
    }

    DialogBottom {
        id: bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: body.bottom
        MouseArea {
            anchors.fill: parent
            onClicked: {

            }
        }
    }

    Component.onCompleted: {

    }

    function destroyDialog() {
        CreateComponent.destroyComponent(cleanAndClearTermsDialog,0);
    }
}
