import MOLOMELib 1.0
import QtQuick 1.0
import "../UIComponents"
import "../DialogComponents"
import "../ButtonComponents"
import "../js/createComponent.js" as CreateComponents
import "../../util/constant.js" as Constant

Rectangle {
    id: colorPickerDialog
    property variant refP
    width: parent.width
    height: parent.height
    color: "#80000000"
    signal clicked(variant ref)
    signal cancelClicked()
    onRefPChanged:
    {
        colorPickerComponent.color1P= refP[0]
        colorPickerComponent.color2P= refP[1]
        colorPickerComponent.color3P= refP[2]
        colorPickerComponent.color4P= refP[3]
        colorPickerComponent.color5P= refP[4]
        colorPickerComponent.color6P= refP[5]
        colorPickerComponent.color7P= refP[6]
        colorPickerComponent.color8P= refP[7]
    }

    MouseArea {
        anchors.fill: colorPickerDialog
    }
    DialogHeader {
        id:header
        anchors.horizontalCenter: parent.horizontalCenter
        text: "Color Picker"
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: -(body.height>>1)
    }
    DialogBody {
        id: body
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: header.bottom
        height: childrenRect.height
        Item10 {
            id: topItem
            anchors.top: parent.top
        }
        ColorPickerComponent {
            id: colorPickerComponent
            anchors.top: topItem.bottom
            anchors.horizontalCenter: parent.horizontalCenter

        }
        Item10 {
            id: bottomItem
            anchors.top: colorPickerComponent.bottom
        }
        Item {
            id: btnBox
            anchors.top: bottomItem.bottom
            anchors.horizontalCenter: body.horizontalCenter
            height: childrenRect.height
            width: childrenRect.width

            MediumButton {
                id: btnOk
                text: "OK"
                onClicked: {
                    CreateComponents.destroyComponent(colorPickerDialog, 0);
                    var ret =
                        [
                          colorPickerComponent.color1P, colorPickerComponent.color2P,
                          colorPickerComponent.color3P,  colorPickerComponent.color4P,
                           colorPickerComponent.color5P, colorPickerComponent.color6P,
                           colorPickerComponent.color7P,  colorPickerComponent.color8P
                         ]

                    colorPickerDialog.clicked(ret)
                }
            }

            MediumButton {
                id: btnCancel
                anchors.left: btnOk.right
                anchors.leftMargin: themeManager.bigPadding
                color: Constant.COLOR_ORANGE
                text: "Cancel"
                onClicked: {
                    CreateComponents.destroyComponent(colorPickerDialog, 0);
                    colorPickerDialog.cancelClicked();
                }
            }
        }
    }
    DialogBottom {
        id:bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: body.bottom
    }
}
