import MOLOMELib 1.0
import QtQuick 1.0
import "../DialogComponents"
import "../ButtonComponents"
import "../js/createComponent.js" as CreateComponents
import "../../util/constant.js" as Constant

Rectangle {
    property string detail
    id: confirmationDialog
    width: parent.width
    height: parent.height
    color: "#80000000"
    signal clicked()
    MouseArea {
        anchors.fill: confirmationDialog
    }
    DialogHeader {
        id:header
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: -(body.height>>1)
    }
    DialogBody {
        id: body
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: header.bottom
        height: childrenRect.height
        Item {
            id: itemConfirmationDialog
            height: childrenRect.height + themeManager.fifteenPadding
            Text {
                id: txt_detail
                x: themeManager.twentyPadding
                text: confirmationDialog.detail
                horizontalAlignment: Text.AlignHCenter
                font.family: "Lucida Grande"
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                width: body.width - (themeManager.twentyPadding *2)
                font.pixelSize: themeManager.dialogFontSizeBig
                styleColor: "#ffffff"
                style: Text.Raised
                color: "#808080"
            }
        }
        Item {
            id: btnBox
            anchors.top: itemConfirmationDialog.bottom
            anchors.horizontalCenter: body.horizontalCenter
            height: childrenRect.height
            width: childrenRect.width

            MediumButton {
                id: btnOk
                text: "OK"
                onClicked: {
                    CreateComponents.destroyComponent(confirmationDialog, 0);
                    confirmationDialog.clicked()
                }
            }

            MediumButton {
                id: btnCancel
                anchors.left: btnOk.right
                anchors.leftMargin: themeManager.bigPadding
                color: Constant.COLOR_ORANGE
                text: "Cancel"
                onClicked: {
                    CreateComponents.destroyComponent(confirmationDialog, 0);
                }
            }
        }
    }
    DialogBottom {
        id:bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: body.bottom
    }
}
