import QtQuick 1.0
import "../DialogComponents"
import "../ButtonComponents"
import "../js/createComponent.js" as CreateComponent

Rectangle {
    id:informationDialog
    property string text
    property string source
    property int horizontalAlignmentMode: Text.AlignHCenter
    property int fontSizeMode: 1
    signal clicked
    width: parent.width
    height: parent.height
    color: "#80000000"

    MouseArea {
        anchors.fill: informationDialog
    }
    DialogHeader {
        id:header
        anchors.horizontalCenterOffset: 0
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: -(body.height>>1)
    }
    DialogBody{
        id:body
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: header.bottom
        height: childrenRect.height

            Text {
                id: textInformaion
                anchors.horizontalCenter: parent.horizontalCenter
                text: informationDialog.text
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: informationDialog.horizontalAlignmentMode
                width: body.width - (themeManager.tenPadding * (informationDialog.horizontalAlignmentMode === Text.AlignLeft ? 5 : 3))
                font.pixelSize: (informationDialog.fontSizeMode == 1) ? themeManager.dialogFontSizeBig : themeManager.dialogFontSizeSmall
                styleColor: "#ffffff"
                style: Text.Raised
                color: "#808080"
            }

            Item {
                id: informationImageWrapper
                height: informationDialog.source == "" ? 0 : informationImage.height
                anchors.top: textInformaion.bottom

                Image {
                    id: informationImage
                    source: informationDialog.source
                    x: (body.width/2) - (informationImage.width/2)
                    y: themeManager.smallPadding
                }
            }

            MediumButton {
                id: btnOk
                anchors.top: informationImageWrapper.bottom
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.topMargin: themeManager.bigPadding
                text: "OK"
                onClicked: {
                    CreateComponent.destroyComponent(informationDialog, 0);
                    informationDialog.clicked()
                }
            }

    }
    DialogBottom {
        id: bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: body.bottom
    }
}
