import QtQuick 1.0
import MOLOMELib 1.0
import "../ButtonComponents"
import "../DialogComponents"
import "../UIComponents"
import "../js/createComponent.js" as CreateComponents
import "../../util/constant.js" as Constant

Rectangle {
    id: loadingDialog
    property bool cancelBtnAvailable: true
    property string detail
    signal clicked

    width: parent.width
    height: parent.height
    color: "#80000000"

    MouseArea {
        anchors.fill: loadingDialog
    }
    DialogHeader {
        id: header
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: -(body.height>>1)
    }
    DialogBody {
        id: body
        anchors.top: header.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        height: childrenRect.height
        Text {
            id: detailLoadingDialog
            x: themeManager.twentyPadding
            text: loadingDialog.detail
            font.pixelSize: themeManager.dialogFontSizeBig
            wrapMode: TextEdit.WrapAtWordBoundaryOrAnywhere
            horizontalAlignment: TextInput.AlignHCenter
            width: body.width - (themeManager.tenPadding * 4)
            styleColor: "#ffffff"
            style: Text.Raised
            color: "#808080"
        }
        LoadingImage {
            id: imageLoading
            width: imageLoading.getWidth()
            height: imageLoading.getHeight()
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: detailLoadingDialog.bottom
            anchors.topMargin: themeManager.bigPadding
        }
        Item {
            id: btnArea
            anchors.top: imageLoading.bottom
            anchors.topMargin: themeManager.smallPadding
            anchors.horizontalCenter: parent.horizontalCenter
            width: (loadingDialog.cancelBtnAvailable == true) ? btnCancel.width : 0
            height: (loadingDialog.cancelBtnAvailable == true) ? btnCancel.height : 0
            visible: loadingDialog.cancelBtnAvailable
            MediumButton {
                id: btnCancel
                anchors.top: parent.top
                color: Constant.COLOR_ORANGE
                text: "Cancel"
                onClicked: {
                    loadingDialog.clicked()
                    CreateComponents.destroyComponent(loadingDialog,0)
                }
            }
        }


    }
    DialogBottom {
        id: bottom
        anchors.top: body.bottom
        anchors.horizontalCenter: parent.horizontalCenter
    }
    function getPageId() {
        return loadingDialog;
    }
}
