import QtQuick 1.0
import "../ButtonComponents"
import "../../platforms"

Item {
    id: photoSourceDialog
    width: parent.width
    height: parent.height

    property int bottomMargin: 74

    signal fromTakePhotoClicked()
    signal fromGalleryClicked()

    MouseArea {
        anchors.fill: parent
        onClicked: {
            photoSourceDialog.destroy(0);
        }
    }

    Rectangle {
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottomMargin: photoSourceDialog.bottomMargin
        color: "#A0000000"
    }

    Image {
        source: "../res/photo_source_dialog_bg.png"
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottom: parent.bottom
        anchors.bottomMargin: photoSourceDialog.bottomMargin

        Button {
            id: btnFromTakePhoto
            bitmap: "../res/btn_from_photo_source.png"
            bitmap_pressed: "../res/btn_from_photo_source_pressed.png"
            anchors.top: parent.top
            anchors.topMargin: themeManager.btnFromPhotoSourceTopMargin
            anchors.horizontalCenter: parent.horizontalCenter

            asynchronous: false

            text: "Take Photo"
            textColor: "#808080"
            textSunkenColor: "#FFFFFF"
            pressedTextColor: "#FFFFFF"
            textSize: themeManager.btnPhotoSourceFontSize

            onClicked: { photoSourceDialog.fromTakePhotoClicked(); photoSourceDialog.destroy(0); }
        }

        Button {
            id: btnFromGallery
            bitmap: "../res/btn_from_photo_source.png"
            bitmap_pressed: "../res/btn_from_photo_source_pressed.png"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: btnFromTakePhoto.bottom

            asynchronous: false

            text: "From Gallery"
            textColor: "#808080"
            textSunkenColor: "#FFFFFF"
            pressedTextColor: "#FFFFFF"
            textSize: themeManager.btnPhotoSourceFontSize

            onClicked: { photoSourceDialog.fromGalleryClicked(); photoSourceDialog.destroy(0); }
        }
    }
}
