import QtQuick 1.0

Image {
    id: textInputDialog

    property int mode: TextInput.Normal

    //width: themeManager.dialogTextBoxWidth
    //height: themeManager.dialogTextBoxHeight
    source: "../res/dialog_textbox_bg.png"
    property int inputMethodHints: Qt.ImhNoPredictiveText //Qt.ImhNone
    property int fontCapitalization: Font.Normal

    TextInput {
        id: textInput
        x: themeManager.textInputDialogX
        y: themeManager.textInputDialogY
        width: themeManager.textInputDialogWidth
        height: themeManager.textInputDialogHeight
        horizontalAlignment: TextInput.AlignLeft
        echoMode: mode
        autoScroll: true
        cursorVisible: false
        activeFocusOnPress: true
        inputMask: ""
        font.underline: false
        font.pixelSize: themeManager.dialogFontSizeSmall
        //font.capitalization: fontCapitalization
        font.capitalization: Font.MixedCase
        inputMethodHints: textInputDialog.inputMethodHints
    }
    function getText() {
        return textInput.text;
    }
    function setFocus() {
        textInput.focus = true;
    }
}
