import QtQuick 1.0
import MOLOMELib 1.0
import "../UIComponents"
import "../js/createComponent.js" as CreateComponent
import "../../util/constant.js" as Constant

Component {
    id: badgeDelegate

    Item {
        id: badgeComponent
        width: childrenRect.width
        height: childrenRect.height
        signal clicked
        property string badgeSource: _badgeSource
        property int badge_id: _badge_id
        property string badgeName: _badgeName
        property string description: _description
        property string bigBadgeSource: _bigBadgeSource
        property string badgeSource_: _smallBadgeSource

        onBadgeSourceChanged: {
            if (badgeComponent.badgeSource !==  "../res/loadingbadges.png")
                badge.sourceImagePath = badgeComponent.badgeSource
        }

        CacheableImage {
            id: badge
            width: themeManager.badgeComponentWidthHeight
            height: themeManager.badgeComponentWidthHeight
            cacheMode: ImageCacheMode.CacheBadge
            sourceSize: Qt.size(themeManager.badgeComponentWidthHeight, themeManager.badgeComponentWidthHeight)
            loadingImagePath: "../res/loadingbadges.png"
            //sourceImagePath: badgeComponent.badgeSource
            Rectangle{
                id: imageLeftArea
                anchors.fill: parent
                color : (leftArea.pressed && leftArea.containsMouse) ? Constant.COLOR_ARGB_SELECT_BLUE : Constant.COLOR_ARGB_TRANSPARENT
                radius: 12

                MouseArea {
                    id: leftArea
                    anchors.fill: parent
                    onClicked: flowBadge.clicked(badge_id, badgeName, description, bigBadgeSource, badgeSource, badgeSource_)
                }
            }
        }
    }
}
