import QtQuick 1.0
import MOLOMELib 1.0
import "../ButtonComponents"
import "../UIComponents"
import "../../util/constant.js" as Constant
import "../js/createComponent.js" as CreateComponent
import "../js/uiUtils.js" as UIUtils

Item {
    id: photoViewDelegate
    width: themeManager.screenWidth
    height: childrenRect.height

    signal actionClicked
    signal profilePictureClicked
    signal usernameClicked

    Component {
        id: photoViewBoxComponent
        PhotoViewBoxDelegate {
            id: delegate
        }
    }

    Component {
        id: cannotAccessProfileComponent
        Text {
            id: cannotAccessProfileText
            visible: false
            anchors.topMargin: themeManager.bigPadding
            anchors.bottomMargin: themeManager.bigPadding
            anchors.horizontalCenter: parent.horizontalCenter
            text: "You cannot access this photo's comment"
            style: Text.Raised
            styleColor: "#e6e6e6"
            color: "#808080"
            font.pixelSize: themeManager.profileDetailUsernameFontSize
        }
    }

    Component {
        id: commentListComponent
        CommentListDelegate {
            id: delegate
            onActionClicked: photoViewDelegate.actionClicked(username, comment_id, user_id)
            onProfilePictureClicked: photoViewDelegate.profilePictureClicked(username)
            onUsernameClicked: photoViewDelegate.usernameClicked(username)
        }
    }

    Loader {
        id: loader
    }

    Component.onCompleted: {
        if (index === 0)
            loader.sourceComponent = photoViewBoxComponent
        else if (cannot_access_profile)
            loader.sourceComponent = commentListComponent
        else
            loader.sourceComponent = cannotAccessProfileComponent
    }
}
