import QtQuick 1.0
import QtWebKit 1.0
import "../UIComponents"
import "../../platforms"

PageWrapper {
    width: themeManager.screenWidth
    height: themeManager.screenHeight

    orientationLock: themeManager.pageOrientationPortrait

    Header {
        id: header
        hasBack: true
        anchors.top: parent.top
        onBackClicked: {
            pageStack.pop();
        }
        MouseArea {
            id: goToTopHitBox
            anchors.fill: parent
            onClicked: {
                goToTop();
            }
        }
    }

    HeaderBar {
        id: headerCaption
        anchors.top: header.bottom
        text: qsTr("About")
    }

    Flickable {
        id: flickable
        width: parent.width
        contentWidth: parent.width
        contentHeight: webView.height
        anchors.top: headerCaption.bottom
        anchors.bottom: parent.bottom
        interactive: true
        clip: true
        WebView {
            id: webView
            width: parent.width
            url: "../about.html"
            preferredWidth: flickable.width
            preferredHeight: flickable.height
        }
    }
    function goToTop() {
        flickable.contentY = 0;
    }
}
