import QtQuick 1.0
import QtWebKit 1.0
import "../UIComponents"
import "../js/createComponent.js" as CreateComponent
import "../../platforms"

PageWrapper {
    id: profileViewScreen
    width: themeManager.screenWidth
    height: themeManager.screenHeight
    property string userName
    property int userId

    orientationLock: themeManager.pageOrientationPortrait

    Header {
        id: header
        hasBack: true
        anchors.top: parent.top
        onBackClicked: pageStack.pop();
        z: 1
        MouseArea {
            id: goToTopHitBox
            anchors.fill: parent
            onClicked: goToTop();
        }
    }

    HeaderBar {
        id: headerCaption
        anchors.top: header.bottom
        text: userName + "'s Profile"
        z: 1
        isRefreshBtnAcive: true
        isLoading: profileViewComponent.manager.isRefreshing
        onClicked: profileViewComponent.prepareUserProfile();
        onCancelClicked: profileViewComponent.cancel();
    }
    Item {
        id: profileViewBox
        anchors.top: headerCaption.bottom
        width: parent.width
        height: parent.height - (header.height + headerCaption.height)
        ProfileViewComponent {
            id: profileViewComponent
            anchors.top: parent.top
            width: parent.width
            height: parent.height
            userId: profileViewScreen.userId
            username: profileViewScreen.userName
            onBadgeClicked: showBadgeDescripion(badgeSource, badgeName, description, badge_id);
        }
    }

    function showBadgeDescripion(bagdeSource,badgeName,bagdeDescription,badge_id) {
         CreateComponent.createBadgeDialog("../", profileViewScreen, bagdeSource, badgeName, bagdeDescription, badge_id);
    }
    function goToTop() {
        profileViewComponent.goToTop();
    }
}
