import QtQuick 1.0
import MOLOMELib 1.0
import "../ButtonComponents"
import "../UIComponents"
import "../js/createComponent.js" as CreateComponent
import "../../util/common.js" as Common
import "../../platforms"
import "../Dialog"

PageWrapper {
    id: welcomeScreen
    width: themeManager.screenWidth
    height: themeManager.screenHeight

    Image {
        id: header
        source: "../res/welcome_bg.jpg"
        z: 1

        Text {
            id: tvForgotPassword
            anchors.bottomMargin: themeManager.fifteenPadding * 2
            anchors.bottom: parent.bottom
            anchors.horizontalCenter: parent.horizontalCenter
            color: tvForgotPasswordMouseArea.pressed ? "yellow" : "white"
            text: "Forgot your password?"
            font.pixelSize: themeManager.smallProfileSettingFontSize

            MouseArea {
                id: tvForgotPasswordMouseArea
                anchors.fill: parent
                onClicked: pageStack.push(Qt.resolvedUrl("ForgotPasswordScreen.qml"));
            }
        }

        Item {
            anchors.bottom: tvForgotPassword.top
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottomMargin: themeManager.fifteenPadding
            width: childrenRect.width

            Button {
                id: btnJoin
                anchors.left: parent.left
                anchors.bottom: parent.bottom
                bitmap: "../res/btn_new_welcome_join.png"
                bitmap_pressed: "../res/btn_new_welcome_join_pressed.png"
                onClicked: pageStack.push(Qt.resolvedUrl("LoginRegisterScreen.qml"), {tabValue: 0});
            }

            Button {
                id: btnSignin
                anchors.left: btnJoin.right
                anchors.leftMargin: themeManager.fifteenPadding
                anchors.bottom: parent.bottom
                bitmap: "../res/btn_new_welcome_signin.png"
                bitmap_pressed: "../res/btn_new_welcome_signin_pressed.png"
                onClicked: pageStack.push(Qt.resolvedUrl("LoginRegisterScreen.qml"), {tabValue: 1});
            }
        }
    }
}
