import QtQuick 1.0
import MOLOMELib 1.0

Image {
    id: image
    signal imageLoaded
    property string loadingImagePath
    property string sourceImagePath
    property bool needProgress: false
    property bool needOAuth: false
    property int cacheMode: ImageCacheMode.NoCache
    asynchronous: true

    onSourceImagePathChanged: {
        if (imageLoader.inited)
            imageLoader.sourceImagePath = image.sourceImagePath
    }

    /*
    onSourceImagePathChanged: {
        imageLoader.needOAuth = image.needOAuth
        imageLoader.cacheMode = image.cacheMode
        imageLoader.loadingImagePath = image.loadingImagePath
        imageLoader.sourceImagePath = image.sourceImagePath
    }

    Component.onCompleted: {
        imageLoader.needOAuth = image.needOAuth
        imageLoader.cacheMode = image.cacheMode
        imageLoader.loadingImagePath = image.loadingImagePath
        imageLoader.sourceImagePath = image.sourceImagePath
    }
    */

    CacheableImageLoader {
        id: imageLoader
        property bool inited: false
        cacheMode: image.cacheMode
        needProgress: image.needProgress
        needOAuth: image.needOAuth
        loadingImagePath: image.loadingImagePath
        Component.onCompleted: {
            sourceImagePath = image.sourceImagePath
            inited = true;
        }
        onImageLoaded: {
            image.source = path
            if (path !== "")
                image.imageLoaded()
        }
    }
}
