import QtQuick 1.0

Rectangle {
    id: baseitem
    property string text
    property bool selected: false
    property int value

    signal clicked
    property bool pressed: hitbox.pressed && hitbox.containsMouse
    width: parent.width
    height: themeManager.chooseStorageHeight
    color: "#00000000"

    MouseArea {
        id: hitbox
        anchors.fill: parent
        onEntered: {
            baseitem.color = "#0983E8";
        }
        onExited: {
            baseitem.color = "#00000000";
        }
        onCanceled: {
            baseitem.color = "#00000000";
        }
        onClicked: {
            parent.clicked();
        }
    }
    Text {
        x: themeManager.twentyPadding
        anchors.verticalCenter: parent.verticalCenter
        text: parent.text
        color: baseitem.pressed ? "white" : "gray"
        font.pixelSize: themeManager.dialogFontSizeMedium
    }
    Rectangle {
        id: separator
        width: parent.width; height: 1; color: "#cccccc"
        anchors.top: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.leftMargin: themeManager.bigPadding
        anchors.rightMargin: themeManager.bigPadding
    }
    Image {
        id: btnNext
        x: (parent.width-(btnNext.width)) - themeManager.fifteenPadding
        anchors.verticalCenter: parent.verticalCenter
        source: "../res/language_item_selected.png"
        visible: baseitem.selected
    }
}
