/////////////////////////////////////////////////////////////////////////////////
//
//	QMLFB version 0.1b by Jesse Ikonen
//  =======================================*
//
//	Simple QML Component that authenticates your users using Facebook Graph.
//
/////////////////////////////////////////////////////////////////////////////////
import Qt 4.7
import QtWebKit 1.0

WebView {
    id: fbAuth

    url: ""

    anchors.fill: parent
    settings.javascriptEnabled: true //false
    property string user_facebook_id: ""
    property string user_facebook_token: ""
    property variant me: ""
    property string my_pic_url: ""
    property bool user_is_authenticated: false
    property bool isLoggedOut: false

    signal gettingAccessToken
    signal tokenReady(string token)

    // functions

    // saves fb token and fb user id
    function loginObserver(){
        var token_re                = "access_token=([-a-zA-Z0-9_]*)", // "access_token=(.*)&expires_in=", // token
            code_re                 = "code=([-a-zA-Z0-9_]*)",
            login_success_re        = "^(http|https)://www.facebook.com/connect/login_success.html", // to test login_success page
            access_token_success_re = "^(http|https)://graph.facebook.com/oauth/access_token",
            matchable               = url.toString(), // url string
            fb_token                = undefined,
            fb_uid                  = undefined;

        //if ( matchable.match(login_success_re) && /access_token/.test(matchable) ) { // if page is login_success and contains access_token

        if ( matchable.match(login_success_re)  && url.toString().match(code_re) ) {
            var code = url.toString().match(code_re)[1];
            url = "https://graph.facebook.com/oauth/access_token?client_id=200281796659561&redirect_uri=https://www.facebook.com/connect/login_success.html&client_secret=2ff26a64696d7a1ceb4221784177d433&code=" + code;
            return;
        } else if ( matchable.match(access_token_success_re) ) {
            fb_token = html.match(token_re)[1].replace(/\\u00257C/g, "|"); // replace unicode if found (if js redirect is followed it will be found)
        } else if (matchable.match(login_success_re) && /error/.test(matchable)){ // if user does not allow
            //settings.javascriptEnabled = false;
            url = "https://www.facebook.com/dialog/oauth?client_id=200281796659561&redirect_uri=https://www.facebook.com/connect/login_success.html&scope=publish_stream,offline_access&display=touch" // ask again :)
            return false
        } else {
            return false
        }

        if (fb_token) { // when we have token and user id
            //user_facebook_id = fb_uid; // save id
            user_facebook_token = fb_token; // save token
            user_is_authenticated = true; // set booolean
            return true
        }

        return false;
    }
    // signal handlers
    onUrlChanged: {
        //var is_login_php_re = "^(http|https)://m.facebook.com/login.php";
        if ( /login.php\\?/.test(url.toString()) ) // enable JS on login page
        //if (url.toString().match(is_login_php_re))
            settings.javascriptEnabled = false // true
        else
            settings.javascriptEnabled = false
    }

    onLoadFinished: {
        if (isLoggedOut)
            tokenReady(user_facebook_token);
        else if (loginObserver())
        {
            //url = fb_logout_url;
            tokenReady(user_facebook_token);
            isLoggedOut = true;
        }

        // this allows us to follow jasvascript redirects even though js is turned off (this is required as long as FB gets their shit together)
        if (html.match(/window\.location\.href="(.*)"/)) { //(html.match('<html><head><script type="text/javascript">')) {
            var target_arr = html.match(/window\.location\.href="(.*)"/)
            if (target_arr){
                var crappy_target_url = target_arr[1] // formatting is: http:\/\/www.facebook.com\/
                var actual_target_url = crappy_target_url.replace(/\\\//g, "/").replace("\u00257C", "|")  // fix formatting
                url = actual_target_url // and go there.
            }
        }
    }

    Component.onCompleted: {
        //url = "https://graph.facebook.com/oauth/authorize?client_id=200281796659561&redirect_uri=http://www.facebook.com/connect/login_success.html&type=user_agent&scope=read_stream&display=touch";
        url = "https://m.facebook.com/dialog/oauth?client_id=200281796659561&redirect_uri=https://www.facebook.com/connect/login_success.html&scope=publish_stream,basic_info,email,user_birthday,friends_birthday&display=touch";
        //url = "https://m.facebook.com/dialog/oauth?client_id=200281796659561&redirect_uri=http%3A%2F%2Fwww.facebook.com%2Fconnect%2Flogin_success.html&response_type=token&scope=publish_stream,offline_access&auth_type=reauthenticate";
        //url = "https://m.facebook.com/dialog/oauth?client_id=200281796659561&redirect_uri=http%3A%2F%2Fwww.facebook.com%2Fconnect%2Flogin_success.html&response_type=token&scope=publish_stream%2Coffline_access&_rdr";
        reload.trigger();
    }
}

