import QtQuick 1.0

Rectangle {
    id: filterIcon

    width: themeManager.filterIconItemWidth
    height: themeManager.isPortrait ? parent.height : themeManager.filterIconItemHeight

    signal clicked(string name)
    property string text: ""
    property string thumbPath: ""
    property int filterId: 0
    property bool pressed: hitbox.pressed && hitbox.containsMouse
    property int imagesToUnlock: 0
    property bool selected: false
    property bool locked: false
    property bool expensive: false

    color: pressed ? "#0f7ae6" : (selected ? "#FF9900" : "#00000000")

    onThumbPathChanged: {
        icon.source = "../../../" + thumbPath;
    }

    onTextChanged: {
        name.text = text;
    }

    function setSelected(sel)
    {
        selected = sel;
    }

    MouseArea {
        id: hitbox
        anchors.fill: parent

        onClicked: {
            parent.clicked(parent.text);
        }
    }

    Image {
        id: icon
        x: themeManager.filterIconLeft
        y: themeManager.filterIconTop
        width: themeManager.filterIconWidth
        height: themeManager.filterIconHeight

        Image {
            visible: locked
            source: "../res/locked.png"
            anchors.verticalCenter: parent.verticalCenter
            anchors.horizontalCenter: parent.horizontalCenter
        }
    }

    Text {
        id: name
        width: parent.width
        anchors.top: icon.bottom
        anchors.topMargin: themeManager.filterIconCaptionTopMargin
        text: "Normal"
        font.pixelSize: themeManager.filterIconFontSize
        font.bold: true
        color: (pressed || selected) ?"#FFFFFF" : "#000000"
        horizontalAlignment: Text.AlignHCenter
    }
}
