import QtQuick 1.0

Item {
    id: groupTextEdit
    width: parent.width
    height: childrenRect.height
    property bool isSelected: false
    property string textFake
    property string text
    property bool isMultiLine

    signal textChanged()

    function moveCursorToEnd() {
        textEdit.cursorPosition = textEdit.text.length
    }

    function getText() {
        return textEdit.text
    }

    Image {
        id: header
        width: parent.width
        source: "../res/groupbox_top_bg.png"
    }
    Image {
        id: body
        anchors.top: header.bottom
        width: parent.width
        source:  "../res/groupbox_body_bg.png"
        height: childrenRect.height
        TextEdit {
            id: textEdit
            anchors.left: parent.left
            anchors.leftMargin: themeManager.bigPadding
            anchors.right: parent.right
            anchors.rightMargin: themeManager.bigPadding
            width: parent.width
            text: groupTextEdit.text
            textFormat: TextEdit.PlainText
            font.capitalization: Font.AllLowercase
//            cursorVisible:
//            cursorPosition: groupTextEdit.text.lastIndexOf + 2
            visible: true
            font.pixelSize: themeManager.dialogFontSizeSmall
            color: "gray"
            wrapMode: groupTextEdit.isMultiLine == true? TextEdit.WrapAtWordBoundaryOrAnywhere : TextEdit.WordWrap
            onTextChanged: groupTextEdit.textChanged()
            Text {
                id: textFake
                text: groupTextEdit.textFake
                color: "gray"
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: parent.left
                anchors.right: parent.right
                width: parent.width
                visible: (textEdit.cursorVisible || textEdit.text.length > 0) ? false : true
                font.pixelSize: themeManager.dialogFontSizeSmall
            }
        }

    }
    Image {
        id: bottom
        width: parent.width
        anchors.top: body.bottom
        source:  "../res/groupbox_bottom_bg.png"
    }

    function setFocus() {
        textEdit.focus = true;
    }

    function getTextEdit() {
        return textEdit;
    }
}
