import QtQuick 1.0
import "../ButtonComponents"

Image {
    id: header

    signal backClicked
    signal nextClicked

    property bool hasBack: false
    property bool hasNext: false

    property bool btnBackVisible: true
    property bool btnNextVisible: true

    property string backText: "Back"
    property string nextText: "Next"

    property variant btnBack: null
    property variant btnNext: null

    source: "../res/header.png"

    Component.onCompleted: {
        if (hasBack)
        {
            var headerBackComponent = Qt.createComponent("../ButtonComponents/HeaderBackButton.qml");
            var sprite = headerBackComponent.createObject(header);
            sprite.text = backText;
            sprite.clicked.connect(onBackClicked);
            sprite.visible = btnBackVisible;
            btnBack = sprite;
        }
        if (hasNext)
        {
            var headerNextComponent = Qt.createComponent("../ButtonComponents/HeaderNextButton.qml");
            var sprite = headerNextComponent.createObject(header);
            sprite.text = nextText;
            sprite.clicked.connect(onNextClicked);
            sprite.visible = btnNextVisible;
            btnNext = sprite;
        }
    }

    onBtnNextVisibleChanged: {
        if (header.btnNext !== null && typeof header.btnNext !== "undefined")
            header.btnNext.visible = btnNextVisible
    }
    onBtnBackVisibleChanged: {
        if (header.btnBack !== null && typeof header.btnNext !== "undefined")
            header.btnBack.visible = btnBackVisible
    }

    function onBackClicked() {
        backClicked();
    }

    function onNextClicked() {
        nextClicked();
    }
}


