import QtQuick 1.0
import "../ButtonComponents"

Image {
    id: headerbase
    signal clicked
    signal cancelClicked
    property bool isRefreshBtnAcive: false
    property bool isLoading: true
    property string text: ""
    source: "../res/header_button_bg.png"

    Text {
        anchors.fill: parent
        color: "#af470d"
        text: headerbase.text
        styleColor: "#ffad46"
        style: Text.Raised
        font.pixelSize: themeManager.mediumButtonFontSize
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
    }
    Item {
        id: boxBtnRefresh
        visible: headerbase.isRefreshBtnAcive
        anchors.verticalCenter: parent.verticalCenter
        anchors.right: parent.right
        anchors.margins: themeManager.bigPadding
        width: childrenRect.width
        height: childrenRect.height
        RadioButton {
            id: btnRefresh
            x: 0
            y: 0
            visible: headerbase.isLoading ? false : true
            bitmap: "../res/btn_refresh.png"
            bitmap_pressed: "../res/btn_refresh_highlighted_overlay.png"
            bitmap_selected: "../res/btn_refresh_highlighted_overlay.png"
            selected: false
            onClicked: {
                headerbase.clicked();
            }
        }
        RadioButton {
            id: btnCancleRefresh
            x: 0
            y: 0
            visible: headerbase.isLoading ? true : false
            bitmap: "../res/btn_stop.png"
            bitmap_pressed: "../res/btn_refresh_highlighted_overlay.png"
            bitmap_selected: "../res/btn_refresh_highlighted_overlay.png"
            selected: false

            onClicked: {
                headerbase.cancelClicked();
            }
        }
    }
}
