import QtQuick 1.0

Item {
    id: progressComponents
    property int timerLoading: 1
    Image {
        id: progressCircle
        source: "../res/progress_circle_frame.png"
        anchors.horizontalCenter:parent.horizontalCenter
        anchors.verticalCenter:parent.verticalCenter
         }
    Image {
        id: image1
        x: themeManager.bigDotX
        y: themeManager.bigDotY
        anchors.verticalCenterOffset: -themeManager.bigDotVerticalOffset
        anchors.horizontalCenterOffset: -themeManager.bigDotHorriZontalOffset
        source: "../res/progress_circle_dot.png"
        anchors.horizontalCenter:parent.horizontalCenter
        anchors.verticalCenter:parent.verticalCenter

        transform: Rotation {
            id: hourRotation
            origin.x: (progressCircle.width/2) - themeManager.bigLoadingImageOriginX; origin.y: (progressCircle.height/2) - themeManager.bigLoadingImageOriginY;
            angle: (timerLoading * 10)
            Behavior on angle {
                 SpringAnimation { spring: 2; damping: 1.5; modulus: 360 }
            }
        }
    }

    Timer {
            id: timer
            interval: 100
            running: true; repeat: true;
            onTriggered: progressComponents.timerLoad();
        }
    function timerLoad(){
        if (progressComponents.timerLoading <= 36) {
            progressComponents.timerLoading += 1;
        } else {
            progressComponents.timerLoading = 1;
            progressComponents.timerLoading += 1;
        }
    }
    function getPageId() {
        return progressComponents;
    }
    function getWidth() {
        return progressCircle.width;
    }
    function getHeight() {
        return progressCircle.height;
    }

}
