import QtQuick 1.0
import "../js/createComponent.js" as CreateComponent

Item {
    id: myrect
    width: parent.width
    height: parent.height
    anchors.centerIn: parent
    state: "Start"
    property int delay: 100
    property bool deleteComponent: false
    property bool isBigHeart
    onDeleteComponentChanged: {
        CreateComponent.destroyComponent(myrect,0);
    }

    Image {
        id: newImage
        source: myrect.isBigHeart ? "../res/Heart_big.png" : "../res/Heart_small.png"
        width: myrect.isBigHeart ? themeManager.loveUnloveAnimationBigWidth : themeManager.loveUnloveAnimationSmallWidth
        height: myrect.isBigHeart ? themeManager.loveUnloveAnimationBigHeight : themeManager.loveUnloveAnimationSmallHeight
        anchors.horizontalCenter:parent.horizontalCenter
        anchors.verticalCenter:parent.verticalCenter
    }
    Timer {
            id: timer
            interval: myrect.delay
            running: true; repeat: true;
            onTriggered: {
                if (parent.state == "Start") {
                    parent.state = "normal"
                    myrect.delay = 100
                }else if (parent.state == "normal") {
                    parent.state = "normal_2"
                    myrect.delay = 200
                }else if (parent.state == "normal_2") {
                    parent.state = "Disable"
                    myrect.delay = 200
                }else if(parent.state == "Disable") {
                    parent.state = "Destroy"
                    myrect.delay = 100
                }
            }
        }


    states: [
      State {
        name: "Enable"
        PropertyChanges { target: newImage
                          opacity: 1.0
                          x: 0
                          y:0
        }
      },
      State {
        name: "Start"
        PropertyChanges {
            target: newImage
            x: 0
            y: 0
            width: myrect.isBigHeart ? themeManager.loveAnimationBigSmallerWidth : themeManager.loveAnimationSmallSmallerWidth
            height: myrect.isBigHeart ? themeManager.loveAnimationBigSmallerHeight : themeManager.loveAnimationSmallSmallerHeight
            opacity: 0.100

        }

        PropertyChanges {
            target: myrect
            opacity: 1
        }
      },
      State {
            name: "normal"
            PropertyChanges { target: newImage
                              opacity: 1.0
                              x: 0
                              y:0
            }
      },
      State {
            name: "normal_2"
            PropertyChanges { target: newImage
                              opacity: 1.0
                              x: 0
                              y:0
            }
      },
      State {
          name: "Disable"
          PropertyChanges {
              target: newImage
              x: "0"
              y: "0"
              opacity: 0
          }
      },
      State {
          name: "Destroy"
          PropertyChanges {
              target: newImage
              x: "0"
              y: "0"
              opacity: 0
          }
          PropertyChanges {
              target: myrect
              deleteComponent: true
          }
      }
    ]

    transitions: [
        Transition {
            from: "*"; to: "*"
            PropertyAnimation {
                target: newImage
                properties: "opacity,width,height"
                duration: myrect.delay
            }
        }
    ]
}
