import QtQuick 1.0
import MOLOMELib 1.0
import "../../util/constant.js" as Constant
import "../../util/common.js" as Common
Image {
    id: photoViewHeaderBar
    anchors.top: header.bottom
    property string profilePictureSource
    property string username
    property string timeStamp
    property int reqId : Constant.REQID_PHOTOVIEW_HEADER
    signal clicked
    signal usernameClicked
    source: "../res/header_button_bg.png"

    onProfilePictureSourceChanged:
    {
        if (photoViewHeaderBar.profilePictureSource == "null")
            photoViewHeaderBar.profilePictureSource = "";
        profilePicture.sourceImagePath = "http://p60x60.molo.me/" + photoViewHeaderBar.profilePictureSource + "_60x60";
    }

    CacheableImage {
        id: profilePicture
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.topMargin: themeManager.smallPadding
        anchors.leftMargin: themeManager.bigPadding
        width: parent.height - themeManager.tenPadding
        height: parent.height - themeManager.tenPadding
        cacheMode: ImageCacheMode.CacheProfileImage
        //source: "../res/loading_thumbnail_image.png"
        loadingImagePath: "../res/loading_thumbnail_image.png"
        sourceSize: Qt.size(themeManager.profileViewHeaderBarImageProfileWifthHeight, themeManager.profileViewHeaderBarImageProfileWifthHeight)
        Rectangle{
            id: imageLeftArea
            anchors.fill: parent
            color : (leftArea.pressed && leftArea.containsMouse) ? Constant.COLOR_ARGB_SELECT_BLUE : Constant.COLOR_ARGB_TRANSPARENT
            MouseArea {
                id: leftArea
                anchors.fill: parent
                onClicked: photoViewHeaderBar.clicked();
            }
        }
    }
    Text {
        id: username
        color: "#af470d"
        text: photoViewHeaderBar.username
        font.bold: true
        style: Text.Raised
        styleColor: "#ffad46"
        font.pixelSize: themeManager.profileViewHeaderBarFontSize
        anchors.left: profilePicture.right
        anchors.margins: themeManager.bigPadding
        anchors.verticalCenter: parent.verticalCenter
        MouseArea {
            id: usernameHitBox
            anchors.fill: parent
            onClicked: photoViewHeaderBar.usernameClicked();
        }
    }
    Text {
        id: timestamp
        color: "#af470d"
        text: photoViewHeaderBar.timeStamp
        font.bold: true
        style: Text.Raised
        styleColor: "#ffad46"
        font.pixelSize: themeManager.profileViewHeaderBarFontSize
        anchors.right: parent.right
        anchors.margins: themeManager.bigPadding
        anchors.verticalCenter: parent.verticalCenter
    }
}
