import QtQuick 1.0
import "../js/CreateFlowComponent.js" as CreateFlowComponent
import "../ListItem"

Item {
    id: profileBadgeComponent
    width: themeManager.screenWidth
    height: body.childrenRect.height
    signal clicked(int badge_id,
                   string badgeName,
                   string description,
                   string bigBadgeSource,
                   string badgeSource,
                   string badgeSource_)
    Item {
        id: body
        width: parent.width
        height: badgeHeader.height + flowBadge.height + themeManager.twentyPadding
        Item {
            id: badgeHeader
            anchors.top: parent.top
            anchors.left: parent.left
            anchors.leftMargin: themeManager.bigPadding
            width: badgeHeaderText.width
            height: badgeHeaderText.height + themeManager.bigPadding
            Text {
                id: badgeHeaderText
                text: "Badges"
                font.bold: true
                font.pixelSize: themeManager.profileViewCaptionFontSize
                anchors.verticalCenter: parent.verticalCenter
                styleColor: "#e6e6e6"
                color: "#808080"
            }
        }
        BadgeList {
            id: flowBadge
            anchors.top: badgeHeader.bottom
            width: parent.width
            anchors.left: parent.left
            anchors.leftMargin: themeManager.bigPadding
            anchors.right: parent.right
            anchors.rightMargin: themeManager.bigPadding
            anchors.margins: themeManager.listBetweenPadding
            onClicked: profileBadgeComponent.clicked(badge_id,
                                                      badgeName,
                                                      description,
                                                      bigBadgeSource,
                                                      badgeSource,
                                                      badgeSource_)
        }
        Rectangle {
            id: separator
            width: parent.width
            anchors.left: parent.left
            anchors.leftMargin: themeManager.bigPadding
            anchors.right: parent.right
            anchors.rightMargin: themeManager.bigPadding
            height: 1
            color: "#cccccc"
            anchors.bottom: parent.bottom
        }
    }
    function getBadgeList() {
        return flowBadge;
    }
}
