import QtQuick 1.0
import "../js/createComponent.js" as CreateComponent

Item {
    id: settingComponent
    signal findFriendClicked
    width: parent.width
    height: childrenRect.height
    SettingsCaption {
        id: searchCaption
        text: "Search"
    }
    SettingsItem {
        id: findFriendItem
        isLast: false
        anchors.top: searchCaption.bottom
        text: "Find Friends"
        onClicked: settingComponent.findFriendClicked()
    }
    SettingsItem {
        id: suggestFriend
        isLast: true
        anchors.top: findFriendItem.bottom
        text: "Suggest Friends"
        onClicked: pageStack.push(Qt.resolvedUrl("../Screen/FriendListScreen.qml"), {title: qsTr("Suggested Friends"), isSuggestFriend: true, btnLoadMoreActive: false});
    }
    SettingsCaption {
        id: accountCaption
        anchors.top: suggestFriend.bottom
        text: "Account"
    }
    SettingsItem {
        id: profileSetting
        anchors.top: accountCaption.bottom
        isLast: false
        text: "Profile Setting"
        onClicked: pageStack.push(Qt.resolvedUrl("../Screen/ProfileSettingScreen.qml"));
    }
    SettingsItem {
        id: socialNetworkSetting
        anchors.top: profileSetting.bottom
        isLast: false
        text: "Social Network Setting"
        onClicked: pageStack.push(Qt.resolvedUrl("../Screen/SocialNetworkSettingsScreen.qml"));
    }
    SettingsItem {
        id: blockedUsersSetting
        anchors.top: socialNetworkSetting.bottom
        isLast: true
        text: "Blocked Users"
        onClicked: pageStack.push(Qt.resolvedUrl("../Screen/FriendListScreen.qml"), {title: qsTr("Blocked Users"), isBlockedUser: true, btnLoadMoreActive: false});
    }
    SettingsCaption {
        id: molomeCaption
        anchors.top: blockedUsersSetting.bottom
        text: "MOLOME"
    }
    SettingsItem {
        id: setting
        anchors.top: molomeCaption.bottom
        isLast: false
        text: "Setting"
        onClicked: pageStack.push(Qt.resolvedUrl("../Screen/SettingScreen.qml"));
    }
//    SettingsItem {
//        id: language
//        anchors.top: setting.bottom
//        isLast: false
//        text: "Language"
//        onClicked: {
//            //console.log("Language");
//            var sprite = CreateComponent.createChooseLanguageDialog("../");
//            sprite.selected.connect(
//                function(id) {
//                    console.log(id);
//                }
//            );
//        }
//    }
    SettingsItem {
        id: campaign
        anchors.top: setting.bottom
        isLast: false
        text: "Campaign"
        onClicked: pageStack.push(Qt.resolvedUrl("../Screen/CampaignScreen.qml"));
        visible: isThai && isCleanAndClearCampaignAvailable
        height: visible ? themeManager.settingItemHeight : 0
    }
    SettingsItem {
        id: privacypolicy
        anchors.top: campaign.bottom
        isLast: false
        text: "Privacy Policy"
        onClicked: Qt.openUrlExternally("http://molo.me/privacy");
    }
    SettingsItem {
        id: about
        anchors.top: privacypolicy.bottom
        isLast: true
        text: "About"
        onClicked: pageStack.push(Qt.resolvedUrl("../Screen/AboutScreen.qml"));
    }
}
