import QtQuick 1.0

Rectangle {
    id: itemRec
    property string text
    property string fieldData
    property bool isLast
    signal clicked
    property bool pressed: hitbox.pressed && hitbox.containsMouse
    width: themeManager.screenWidth
    height: itemRec.visible ? themeManager.settingItemDataHeight : 0
    color: "#00000000"
    MouseArea {
        id: hitbox
        anchors.fill: parent
        onEntered: {
            itemRec.color = "#0983E8";
        }
        onExited: {
            itemRec.color = "#00000000";
        }
        onCanceled: {
            itemRec.color = "#00000000";
        }
        onClicked: {
            parent.clicked();
        }
    }
    Text {
        x: themeManager.settingItemDataHeightX
        y: 0
        height: themeManager.settingItemDataHeight
        text: parent.text
        verticalAlignment: Text.AlignVCenter
        color: pressed ? "white" : "gray"
        font.pixelSize: themeManager.settingItemDataFontSize
    }
    Rectangle {
        id: separator
        width: parent.width
        height: itemRec.isLast == true ?0:1
        visible: itemRec.isLast == true ? false:true
        color: "#cccccc"
        anchors.left: parent.left
        anchors.leftMargin: themeManager.bigPadding
        anchors.right: parent.right
        anchors.rightMargin: themeManager.bigPadding
        anchors.top: parent.bottom
    }
    Text {
        id: txtOption
        y: 0
        height: themeManager.settingItemDataHeight
        text: parent.fieldData
        anchors.rightMargin: themeManager.twentyPadding
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignRight
        anchors.right: parent.right
        color: pressed ? "white" : "black"
        font.pixelSize: themeManager.settingItemDataFontSize
    }
}
