import QtQuick 1.0

Rectangle {
    id: itemRec
    property string text
    signal clicked
    property bool isLast
    property bool focusable: true
    property bool pressed: hitbox.pressed && hitbox.containsMouse
    width: parent.width
    height: themeManager.settingItemHeight
    color: "#00000000"

    MouseArea {
        id: hitbox
        anchors.fill: parent
        onPressed: {
            if (itemRec.focusable)
                itemRec.focus = true;
        }
        onEntered: {
            itemRec.color = "#0983E8";
        }
        onExited: {
            itemRec.color = "#00000000";
        }
        onCanceled: {
            itemRec.color = "#00000000";
        }
        onClicked: {
            parent.clicked();
        }
    }
    Text {
        x: themeManager.textSettingItemX
        height: parent.height
        text: parent.text
        verticalAlignment: Text.AlignVCenter
        color: pressed ? "white" : "gray"
        font.pixelSize: themeManager.settingCaptionAndSettingItemFontSize
    }
    Image {
        id: btnNext
        x: (parent.width-(btnNext.width))- themeManager.fifteenPadding
        y: themeManager.imageSettingItemY
        source: "../res/btn_setting_item_next.png"
    }
    Rectangle {
        id: separator
        width: parent.width
        height: 1;
        color: "#cccccc"
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        anchors.leftMargin: themeManager.bigPadding
        anchors.rightMargin: themeManager.bigPadding
        visible: !itemRec.isLast
    }
}


