import QtQuick 1.0
import "../ButtonComponents"

Rectangle {
    id: itemRec
    property string text
    property bool isLoggedIn

    signal signInClicked
    signal shareOnClicked(bool shareStatus)
    property bool isLast
    property bool pressed: hitbox.pressed && hitbox.containsMouse
    width: parent.width
    height: themeManager.shareItemHeight
    color: "#00000000"

    MouseArea {
        id: hitbox
        anchors.fill: parent
        onClicked: {

        }
    }

    Item {
        id: captionWrapper
        height: (parent.height * 2) / 3
        width: parent.width - button.width
        anchors.left: parent.left
        anchors.leftMargin: themeManager.paddingLeftRight
        anchors.right: button.left
        anchors.rightMargin: themeManager.bigPadding

        Text {
            id: textCaption
            text: itemRec.text
            height: parent.height
            verticalAlignment: Text.AlignVCenter
            color: "gray"
            font.pixelSize: themeManager.shareItemFontSize
            anchors.left: parent.left
        }

        Rectangle {
            id: separator
            height: 1;
            color: "#cccccc"
            anchors.left: textCaption.right
            anchors.leftMargin: themeManager.bigPadding
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: parent.right
        }
    }

    Item {
        id: button
        width:  btnLogin.visible == true ? btnLogin.width : socialShareBtn.width
        height: btnLogin.visible == true ? btnLogin.height : socialShareBtn.height
        anchors.right: parent.right
        anchors.rightMargin: themeManager.bigPadding
        anchors.verticalCenter: parent.verticalCenter

        SocialShareButton {
            id: socialShareBtn
            visible: itemRec.isLoggedIn
            onClicked: itemRec.shareOnClicked(shareStatus)
        }
        MediumButton {
            id: btnLogin
            text: "Log In"
            y: -themeManager.logInY
            visible: !itemRec.isLoggedIn
            onClicked: itemRec.signInClicked()
        }
    }

}
