import QtQuick 1.0

Item {
    id: progressComponents
    property int timerLoading: 1
    width: parent.width
    height: parent.height
    Image {
        id: progressCircle
        x: 0
        y: 0
        source: "../res/progress_circle_small_frame.png"
        anchors.horizontalCenter:parent.horizontalCenter
        anchors.verticalCenter:parent.verticalCenter
         }
    Image {
        id: image1
        x: themeManager.smallDotX
        y: themeManager.smallDotY
        anchors.verticalCenterOffset: -themeManager.smallDotVerticalOffset
        anchors.horizontalCenterOffset: -themeManager.smallDotHorriZontalOffset
        source: "../res/progress_circle_small_dot.png"
        anchors.horizontalCenter:parent.horizontalCenter
        anchors.verticalCenter:parent.verticalCenter

        transform: Rotation {
            id: hourRotation
            origin.x: (progressCircle.width/2); origin.y: (progressCircle.height/2) - themeManager.smallLoadingImageOriginY;
            angle: (timerLoading * 10)
            Behavior on angle {
                 SpringAnimation { spring: 2; damping: 1.5; modulus: 360 }
            }
        }
    }
    onVisibleChanged: {
        if (visible) {
            timer.start();
        } else {
            timer.stop();
        }
    }

    Timer {
            id: timer
            interval: 100
            running: true; repeat: true;
            onTriggered: progressComponents.timerLoad();
        }
    function timerLoad(){
        if (progressComponents.timerLoading <= 36) {
            progressComponents.timerLoading += 1;
        } else {
            progressComponents.timerLoading = 1;
            progressComponents.timerLoading += 1;
        }
    }
    function getPageId(){
        return progressComponents;
    }
}
