import QtQuick 1.0
import MOLOMELib 1.0
import "../ButtonComponents"
import "../../util/constant.js" as Constant

Item {
    id: itemRec
    property string text: "Test"
    property  bool isLoggedIn
    signal clicked
    property bool pressed: hitbox.pressed && hitbox.containsMouse
    width: parent.width
    height: themeManager.socialNetWorkItemHeight
    MouseArea {
        id: hitbox
        anchors.fill: parent
    }
    Text {
        id: des
        anchors.left: parent.left
        anchors.leftMargin: themeManager.paddingLeftRight
        anchors.verticalCenter: parent.verticalCenter
        text: parent.text
        font.pixelSize: themeManager.mediumButtonFontSize
        color: "gray"
    }
    Rectangle {
        id: separator
        width: parent.width; height: 1; color: "#cccccc"
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.leftMargin: themeManager.bigPadding
        anchors.rightMargin: themeManager.bigPadding
    }
    MediumButton {
        id: btnLogin
        anchors.right: parent.right
        anchors.rightMargin: themeManager.paddingLeftRight
        anchors.verticalCenter: parent.verticalCenter
        text: "Log In"
        opacity: !parent.isLoggedIn
        onClicked: {
            parent.clicked();
        }
    }
    MediumButton {
        id: btnLogout
        anchors.right: parent.right
        anchors.rightMargin: themeManager.paddingLeftRight
        anchors.verticalCenter: parent.verticalCenter
        color: Constant.COLOR_GRAY
        text: "Log Out"
        opacity: parent.isLoggedIn
        onClicked: {
            parent.clicked();
        }
    }
}

