import QtQuick 1.0

Rectangle {
    id: rectangle1
    width: 110
    height: 175
    color: "#00000000"

    Image {
        id: frame
        source: "../res/timeline_thumbnail_bg.png"

        Rectangle {
            id: frameRect
            anchors.fill: parent
            property bool pressed: frameHitBox.pressed && frameHitBox.containsMouse
            color: pressed ? "#0983E8" : "#00000000"
        }

        Image {
            x: 5
            y: 5
            source: "../res/img.jpg"
        }

        MouseArea {
            id: frameHitBox
            anchors.fill: parent
            onClicked: {

            }
        }
    }

    Image {
        id: love_comment
        anchors.top: frame.bottom
        anchors.topMargin: 3
        source: "../res/timeline_love_comment_bar_bg.png"

        property bool lovePressed: hitboxLove.pressed && hitboxLove.containsMouse
        property bool commentPressed: hitboxComment.pressed && hitboxComment.containsMouse

        Image {
            x: 2
            source: love_comment.lovePressed ? "../res/timeline_love_highlighted.png" : "../res/blank.png"

            MouseArea {
                id: hitboxLove
                anchors.fill: parent
                onClicked: {
                }
            }
        }

        Image {
            x: 56
            source: love_comment.commentPressed ? "../res/timeline_comment_highlighted.png" : "../res/blank.png"

            MouseArea {
                id: hitboxComment
                anchors.fill: parent
                onClicked: {

                }
            }
        }

        Image {
            x: 6
            y: 3
            source: "../res/thumbnail_loved_icon_gray.png"
        }

        Image {
            x: 60
            y: 3
            source: "../res/thumbnail_commented_icon.png"
        }

        Text {
            id: loveCount
            x: 26
            y: 2
            width: 26
            height: 16
            text: "0"
            color: love_comment.lovePressed ? "white" : "#808080"
            font.bold: true
            font.pixelSize: 14
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
        }

        Text {
            id: commentCount
            x: 80
            y: 2
            width: 26
            height: 16
            text: "0"
            color: love_comment.commentPressed ? "white" : "#808080"
            font.bold: true
            font.pixelSize: 14
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
        }
    }

    Text {
        id: uploader
        x: 4
        anchors.top: love_comment.bottom
        anchors.topMargin: 2
        text: "by nuuneoi"
        font.pixelSize: 10
        width: parent.width - 3
        color: "#808080"
    }

    Text {
        id: timestamp
        x: 4
        anchors.top: uploader.bottom
        text: "Oct 5, 2011 02:45"
        font.pixelSize: 10
        width: parent.width - 3
        color: "#808080"
    }
}
