import Qt 4.7
import QtWebKit 1.0
import "../../util/constant.js" as Constant

WebView {
    id: twAuth
    anchors.fill: parent
    property bool isLoadComplete: false
    property string user_oauth_verifier: ""
    property string user_oauth_token: ""
    property bool user_is_authenticated: false

    function doAuthorize(token)
    {
        url = "https://www.tumblr.com/oauth/authorize?force_login=true&iphone=true&oauth_token=" + token;
    }

    function loginObserver(){
        var token_re            = "oauth_token=(.*)&oauth_verifier=(.*)", // token
            login_success_re    = "^(http|https)://molo.me/auth/tumblr", // to test login_success page
            matchable           = url.toString(), // url string
            oauth_token         = undefined,
            oauth_verifier      = undefined;
        if ( matchable.match(login_success_re) && /oauth_token/.test(matchable) ) { // if page is login_success and contains access_token
            var match = matchable.match(token_re);
            oauth_token    = match[1];//.replace(/\\u00257C/g, "|"); // replace unicode if found (if js redirect is followed it will be found)
            oauth_verifier = match[2];
        }

        if (oauth_token) { // when we have token and user id
            user_oauth_token = oauth_token;
            user_oauth_verifier = oauth_verifier;
            user_is_authenticated = true; // set booolean
            return true
        }
    }


    // signal handlers

    onLoadFinished: {
        //console.debug("url: " + url);

        loginObserver();
        twAuth.isLoadComplete = true;
    }


}

