import QtQuick 1.0
import "../js/createComponent.js" as CreateComponent

Item {
    id:myrect
    width: parent.width
    height: parent.height
    anchors.centerIn: parent
    state: "Enable"
    property int delay: 100
    property bool deleteComponent: false
    property bool isBigHeart
    onDeleteComponentChanged: {
        CreateComponent.destroyComponent(myrect,0);
    }

    Image {
        id: newImage
        source: myrect.isBigHeart ? "../res/Heart_broken_big.png" : "../res/Heart_broken_small.png"
        width: myrect.isBigHeart ? themeManager.loveUnloveAnimationBigWidth : themeManager.loveUnloveAnimationSmallWidth
        height: myrect.isBigHeart ? themeManager.loveUnloveAnimationBigHeight : themeManager.loveUnloveAnimationSmallHeight
        anchors.horizontalCenter:parent.horizontalCenter
        anchors.verticalCenter:parent.verticalCenter
    }
    Timer {
            id: timer
            interval: myrect.delay
            running: true; repeat: true;
            onTriggered: {
                if (parent.state == "Enable") {
                    parent.state = "Enable_1"
                    myrect.delay = 300
                }else if (parent.state == "Enable_1") {
                    parent.state = "Disable"
                    myrect.delay = 200
                }else if (parent.state == "Disable") {
                    parent.state = "Destroy"
                    myrect.delay = 100
                }

            }
        }


    states: [
      State {
        name: "Enable"
        PropertyChanges { target: newImage
                          opacity: 1.0
                          x: 0
                          y:0
        }
      },
      State {
          name: "Disable"
          PropertyChanges {
              target: newImage
              x: 0
              y: 0
              opacity: 0
          }
      },
      State {
          name: "Enable_1"
          PropertyChanges {
              target: newImage
              x: 0
              y: 0
              opacity: 1.0
          }
      },
      State {
          name: "Destroy"
          PropertyChanges {
              target: newImage
              x: 0
              y: 0
              opacity: 0
          }
          PropertyChanges {
              target: myrect
              deleteComponent: true
          }
      }
    ]

    transitions: [
        Transition {
            from: "*"; to: "*"
            PropertyAnimation {
                target: newImage
                properties: "opacity,width,height"
                duration: myrect.delay
            }
        }
    ]
}
