/////////////////////////////////////////////////////////////////////////////////
//
//	QMLFB version 0.1b by Jesse Ikonen
//  =======================================*
//
//	Simple QML Component that authenticates your users using Facebook Graph.
//
/////////////////////////////////////////////////////////////////////////////////
import Qt 4.7
import QtWebKit 1.0

WebView {
    id: vkAuth
    url: (vk_app_id && !vk_app_id.match("<YOUR FACEBOOK APP ID>")) ? vk_authentication_url : ""
    anchors.fill: parent
    property string vk_app_id: "3000943"
    property string vk_redirect_url: "http://www.facebook.com/connect/login_success.html"
    property string vk_response_type: "token"
    property string vk_scope: "publish_stream,offline_access"
    property string vk_authentication_url: "http://api.vkontakte.ru/oauth/authorize?client_id=" + vk_app_id + "&scope=74758&display=wap&redirect_uri=http://api.vkontakte.ru/blank.html&response_type=token"
    property string user_vk_id: ""
    property string user_vk_token: ""
    property string user_vk_expires_in: ""
    property variant me: ""
    property string my_pic_url: ""
    property bool user_is_authenticated: false
    property bool isLoggedOut: false

    signal tokenReady()

    // functions

    // saves vk token and vk user id
    function loginObserver(){
        var token_re            = "access_token=(.*)&expires_in=(.*)&user_id=(.*)", // token
            id_re               = "-([0-9]*)", // fuid
            login_success_re    = "^(http|https)://api.vkontakte.ru/blank.html", // to test login_success page
            matchable           = url.toString(), // url string
            vk_token            = undefined,
            vk_uid              = undefined,
            vk_expires_in       = undefined;

        if ( matchable.match(login_success_re) && /access_token/.test(matchable) ) { // if page is login_success and contains access_token
            var matches = matchable.match(token_re);
            vk_token = matches[1].replace(/\\u00257C/g, "|"); // replace unicode if found (if js redirect is followed it will be found)
            vk_expires_in = matches[2];
            vk_uid   = matches[3];
        } else if (matchable.match(login_success_re) && /error/.test(matchable)){ // if user does not allow
            settings.javascriptEnabled = false;
            url = vk_authentication_url // ask again :)
            return false
        } else {
            return false
        }

        if (vk_token) { // when we have token and user id
            user_vk_id    = vk_uid; // save id
            user_vk_expires_in = vk_expires_in;
            user_vk_token = vk_token; // save token
            user_is_authenticated = true; // set booolean
            return true
        }

        return false;
    }

    onLoadFinished: {
        if (isLoggedOut)
            tokenReady();
        else if (loginObserver())
        {
            tokenReady();
            isLoggedOut = true;
        }

        // this allows us to follow jasvascript redirects even though js is turned off (this is required as long as VK gets their shit together)
        if (html.match('<html><head><script type="text/javascript">')) {
            var target_arr = html.match(/window\.location\.href="(.*)"/)
            if (target_arr){
                var crappy_target_url = target_arr[1] // formatting is: http:\/\/www.facebook.com\/
                var actual_target_url = crappy_target_url.replace(/\\\//g, "/").replace("\u00257C", "|")  // fix formatting
                url = actual_target_url // and go there.
            }
        }
    }
}

