import QtQuick 1.0

Image {
    id: slider
    source: "../res/slide_bar_landscape_body.png"

    property int minValue: 0
    property int maxValue: 100
    property int initValue: minValue
    property int value: minValue+(maxValue-minValue)*(sliderPin.x-pinMinX)/(pinMaxX-pinMinX)
    property int pinMinX: themeManager.sliderMinXOffset
    property int pinMaxX: slider.width-themeManager.sliderMaxXOffset

    onInitValueChanged: {
        var x = Math.floor(pinMinX + (initValue-minValue)/(maxValue-minValue)*(pinMaxX-pinMinX));
        if(x < pinMinX) x = pinMinX;
        if(x > pinMaxX) x = pinMaxX;
        sliderPin.x = x;
    }

    MouseArea {
        anchors.fill: slider

        function pinMoved(mouseX){
            var x = Math.floor(mouseX - sliderPin.width*0.5);
            if(x < pinMinX) x = pinMinX;
            if(x > pinMaxX) x = pinMaxX;
            sliderPin.x = x;
        }

        onPressed: {
            pinMoved(mouse.x);
        }

        onPositionChanged: {
            pinMoved(mouse.x);
        }
    }

    MouseArea {
        anchors.left: parent.left
        width: parent.height - 5
        height: parent.height
        onClicked: {
            var x = sliderPin.x-1;
            if(x < slider.pinMinX){
                x = slider.pinMinX;
            }

            sliderPin.x = x;
        }
    }

    MouseArea {
        anchors.right: parent.right
        width: parent.height - 5
        height: parent.height
        onClicked: {
            var x = sliderPin.x+1;
            if(x > slider.pinMaxX){
                x = slider.pinMaxX;
            }

            sliderPin.x = x;
        }
    }

    Image {
        id: sliderPin
        source: "../res/slide_bar_landscape_pin.png"
        x: pinMinX

        MouseArea {
            id: handler
            anchors.fill: parent
            drag.target: parent
            drag.axis: Drag.XAxis
            drag.minimumX: pinMinX
            drag.maximumX: pinMaxX
        }
    }
}
