function destroyComponent(pageId, delay){
    pageId.destroy(delay);
}

function createInformationDialog(pageId,source,text) {

    var component = Qt.createComponent("../Dialog/InformationDialog.qml");
    var sprite = component.createObject(pageId);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
        sprite.source = source;
        sprite.text = text;
    }
    return sprite;
}

function createLoginDialog()
{
    var component = Qt.createComponent("../Dialog/LoginDialog.qml");
    var sprite = component.createObject(welcomeScreen);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
    return sprite;
}

function createRegisterDialog()
{
    var component = Qt.createComponent("../Dialog/RegisterDialog.qml");
    var sprite = component.createObject(welcomeScreen);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
    return sprite;
}

function createCncTermsDialog()
{
    var component = Qt.createComponent("../Dialog/CleanAndClearTermsDialog.qml");
    console.log(component.errorString());
    var sprite = component.createObject(campaignScreen);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
    return sprite;
}

function createConfirmationDialog(path,pageID,detail)
{
    if (typeof path === "undefined")
        path = "";
    var component = Qt.createComponent(path+"Dialog/ConfirmationDialog.qml");
    var sprite = component.createObject(pageID);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
        sprite.detail = detail;
    }
    return sprite;
}

function createPhotoContextDialog(pageID, isReshareActive, isFlagForReviewActive
                                  , isReplyThisCommentActive, isViewProfileActive, isBlockUserActive, isDeletePictureActive
                                  , isReadMoreActive, isEditCaptionActive, isMakeProfilePictureActive, isChangeAccessLevelActive)
{
    var component = Qt.createComponent("../Dialog/PhotoContextDialog.qml");
    var sprite = component.createObject(pageID);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
        sprite.isReshareActive = isReshareActive;
        sprite.isFlagForReviewActive = isFlagForReviewActive;
        sprite.isReplyThisCommentActive = isReplyThisCommentActive;
        sprite.isViewProfileActive = isViewProfileActive;
        sprite.isBlockUserActive = isBlockUserActive;
        sprite.isDeletePictureActive = isDeletePictureActive;
        sprite.isReadMoreActive = isReadMoreActive;
        sprite.isEditCaptionActive = isEditCaptionActive;
        sprite.isMakeProfilePictureActive = isMakeProfilePictureActive
        sprite.isChangeAccessLevelActive = isChangeAccessLevelActive
    }
    return sprite;
}

function createReshareDialog(pageID)
{
    var component = Qt.createComponent("../Dialog/ReshareDialog.qml");
    var sprite = component.createObject(pageID);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
    return sprite;
}

function createLoadingDialog(pageID, detail) {
    var component = Qt.createComponent("../Dialog/LoadingDialog.qml");
    var sprite = component.createObject(pageID);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
        sprite.detail = detail;
    }
    return sprite;
}

function createChooseLanguageDialog(path) {
    if (typeof path === "undefined")
        path = "";
    var component = Qt.createComponent(path + "Dialog/ChooseLanguageDialog.qml");
    var sprite = component.createObject(mainScreen);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }

    return sprite;
}

function createTwitterLoginDialog(path) {
    if (typeof path === "undefined")
        path = "";
    var component = Qt.createComponent(path + "Dialog/TwitterLoginDialog.qml");
    var sprite = component.createObject(socialNetworkSettingScreen);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
        return sprite;
}
function createChooseIntervalDiadlog(path) {
    if (typeof path === "undefined")
        path = "";
    var component = Qt.createComponent(path + "Dialog/ChooseIntervalDialog.qml");
    var sprite = component.createObject(settingScreen);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
    return sprite;
}

function createChooseAccessLevelDiadlog(path, parentId) {
    if (typeof path === "undefined")
        path = "";
    var component = Qt.createComponent(path + "Dialog/ChooseAccessLevelDialog.qml");
    var sprite = component.createObject(parentId);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
    return sprite;
}

function createChangePasswordDialog(path,pageID) {
    if (typeof path === "undefined")
        path = "";
    var component = Qt.createComponent(path + "Dialog/ChangePasswordDialog.qml");
    var sprite = component.createObject(pageID);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
    return sprite;
}

function createBadgeDialog(path,pageID,bagdeSource,badgeName,bagdeDescription,badge_id) {
    if (typeof path === "undefined")
        path = "";
    var component = Qt.createComponent(path + "Dialog/BadgeDialog.qml");
    var sprite = component.createObject(pageID);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
        sprite.badgeSource = bagdeSource;
        sprite.bagdeName = badgeName;
        sprite.bagdeDescription = bagdeDescription;
        sprite.badgeId = badge_id;
    }
    return sprite;
}

function createTextDialog(path,pageID) {
    if (typeof path === "undefined")
        path = "";
    var component = Qt.createComponent(path + "Dialog/TextDialog.qml");
    var sprite = component.createObject(pageID);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
    return sprite;
}

function createLoveComponent(pageId, isBigHeart) {

    var component = Qt.createComponent("../UIComponents/LoveComponent.qml");
    var sprite = component.createObject(pageId);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
        sprite.isBigHeart = isBigHeart;
    }
    return sprite;
}
function createUnLoveComponent(pageId, isBigHeart) {

    var component = Qt.createComponent("../UIComponents/UnLoveComponent.qml");
    var sprite = component.createObject(pageId);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
        sprite.isBigHeart = isBigHeart;
    }
    return sprite;
}
function createLoadingComponent(pageId) {
    var component = Qt.createComponent("../UIComponents/LoadingImage.qml");
    var sprite = component.createObject(pageId);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
        sprite.width = pageId.width;
        sprite.height = pageId.height;
        sprite.anchors.centerIn = pageId;
    }
    return sprite;
}

function createChooseStorageDialog(pageId) {
    var component = Qt.createComponent("../Dialog/ChooseStorageDialog.qml");
    var sprite = component.createObject(pageId);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
    return sprite;
}

function createChooseImageResolutionDialog(pageId) {
    var component = Qt.createComponent("../Dialog/ChooseImageResolutionDialog.qml");
    var sprite = component.createObject(pageId);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
    return sprite;
}

function createColorPickerDialog(pageId) {
    var component = Qt.createComponent("../Dialog/ColorPickerDialog.qml");
    var sprite = component.createObject(pageId);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
    }
    return sprite;
}

function createPhotoSourceDialog(pageId) {
    var component = Qt.createComponent("../Dialog/PhotoSourceDialog.qml");
    var sprite = component.createObject(pageId);

    if (sprite !== null) {
        sprite.x = 0;
        sprite.y = 0;
        sprite.z = 999;
    }
    return sprite;
}
