function printObject(text) {
    var output = '';
    if (typeof text == "object") {
        var object = text;

        for (var prop in object) {
          output += prop + ': ' + object[prop]+'\n';
        }
    } else
    {
        output = text;
    }

    return output;
}

function getStringFromObject(obj){
    return getStringFromObject(obj,1);
}

function getStringFromObject(obj, maxDepth, prefix){
   var result = '';
   if (!prefix) prefix='### ';

   if (typeof obj == 'object' && isArray(obj)) {
       for (var i=0;i<obj.length;i++)
       {
           result += getStringFromObject(obj[i], maxDepth, prefix + '['+i+'] ');
       }
   } else
   {
       for(var key in obj){
           var value;
           try{
               value = obj[key];
           }catch(e)
           {
               value = "Error["+e.message+"]";
           }

           if (typeof value == 'object'){
               if (maxDepth !== undefined && maxDepth <= 1){
                   result += (prefix + key + ' = object [max depth reached]\n');
               } else {
                   result += getStringFromObject(value, (maxDepth) ? maxDepth - 1: maxDepth, prefix + key + '.');
               }
           } else {
               result += (prefix + key + ' = ' + value + '\n');
           }
       }
   }

   return result;
}


function log(text) {
   //console.log(text);
}


function print(obj, maxDepth, prefix){

   console.debug(getStringFromObject(obj, maxDepth, prefix))
}

function isArray(obj) {
    if (!obj)
        return false;
    return (obj.constructor.toString().indexOf("Array") != -1);
}

function getPhotoUrl(pictureCode,size)
{
    var url = "http://p"+size+"x"+size+".molo.me/"+(pictureCode&&pictureCode!="null"?pictureCode:"")+"_"+size+"x"+size;
//    console.debug(url);
    return url;
}
